Index: extensions/LLGBO2/admin/llgbo_adminframe.tpl
===================================================================
--- extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4574)
+++ extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4578)
@@ -5,9 +5,8 @@
 <form method="post" action="{$llgbo_F_ACTION}" class="properties">
 <fieldset>
-	<div id="framepicker" align="center" > </div>
-	<span id="gboh2" style ="position: relative; top:1.5em;margin-left:40%;background:transparent;z-index:3;color:{$LLGBO_TITLE_FRAME_COLOR}">{'llgbo_title_frame_color'|@translate} </span>
+	<div id="framepicker"> </div>
+	<span id="gboh2" style ="background:transparent;color:{$LLGBO_TITLE_FRAME_COLOR}">{'llgbo_title_frame_color'|@translate} </span>
 	{$FRAME_BEGIN}
-	<table align="center" style ="position: relative; top:-2.5em;" >
-	<th id="llgbotitle">  	</th>
+	<table id="llgboframetable">
 	<tr><br>
 		<td   class="llgbolabel" >{'llgbo_title_frame_color'|@translate} </td>
@@ -80,5 +79,5 @@
 	 </table>
 	{$FRAME_END}
-<div align="center"><br><br><input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" /></div>
+<div align="center"><br> <input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" /></div>
 </fieldset>
 </form>
@@ -100,5 +99,5 @@
   $(document).ready(function() {ldelim}
     var f = $.farbtastic('#framepicker');
-    var p = $('#framepicker').css('opacity', 0.45);
+    var p = $('#framepicker').css('opacity', 0.65);
     var selected;
     $('.colorwellf')
Index: extensions/LLGBO2/admin/llgbo_adminheader.tpl
===================================================================
--- extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 4574)
+++ extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 4578)
@@ -4,75 +4,80 @@
 <form method="post" action="{$llgbo_F_ACTION}" class="properties">
 <fieldset>
-<table id="llgbotable" style="{$LLGBODISPMANAGE}">
-  <tr>
-	<td class="llgbolabel">{'llgbo_header_home'|@translate}</td> 
-	<td class="llgboinput">{html_radios name='llgbo_header_home' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_HOME}</td>
-	<td class="llgbolabel">{'llgbo_header_category'|@translate}</td>
-	<td class="llgboinput">	{html_radios name='llgbo_header_category' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY}</td>
-  </tr>
-  <tr>
+<table id="llgboHeadertable">
+	<tr>
+		<td class="llgbolabel">{'llgbo_header_home'|@translate}</td> 
+		<td class="llgboinput">{html_radios name='llgbo_header_home' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_HOME}</td>
+	</tr>   <tr>
+		<td class="llgbolabel">{'llgbo_header_category'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_category' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY}</td>
+	</tr>   <tr>
 		<td class="llgbolabel">{'llgbo_header_category_filter_recent'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_category_filter_recent' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY_FILTER_RECENT}</td>
+	</tr>   <tr>
 		<td class="llgbolabel">{'llgbo_header_category_flat'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_category_flat' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY_FLAT}</td>
-  </tr>
-  <tr>
+    </tr>  	<tr>
 		<td class="llgbolabel">{'llgbo_header_category_posted_monthly'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_category_posted_monthly' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CATEGORY_POSTED_MONTHLY}</td>
+	</tr> 
+    <tr><td colspan="2"><br></td></tr>
+	<tr>  
 		<td class="llgbolabel">{'llgbo_header_picture'|@translate}</td>
 		<td class="llgboinput">{html_radios name='llgbo_header_picture' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_PICTURE}</td>  
-  </tr>
-  <tr>
+    </tr>   <tr>
 		<td class="llgbolabel">{'llgbo_header_additional_page'|@translate}</td>
 		<td class="llgboinput">{html_radios name='llgbo_header_additional_page' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_ADDITIONAL_PAGE}</td> 
-	<td class="llgbolabel">{'llgbo_header_favorites'|@translate}</td>
+	 </tr>   <tr>
+		<td class="llgbolabel">{'llgbo_header_favorites'|@translate}</td>
 		<td class="llgboinput">{html_radios name='llgbo_header_favorites' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_FAVORITES}</td>  		
-  </tr>
-  <tr>	
+	</tr>   <tr>
        <td class="llgbolabel">{'llgbo_header_most_visited'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_most_visited' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_MOST_VISITED}</td>
-  
+	</tr>   <tr>  
 		<td class="llgbolabel">{'llgbo_header_best_rated'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_best_rated' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_BEST_RATED}</td>
-  </tr>
-  <tr>
+    </tr> 
+    <tr><td colspan="2"><br></td></tr>
+	<tr> 
        <td class="llgbolabel">{'llgbo_header_list'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_list' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_LIST}</td>
-
+	</tr>   <tr>
 		<td class="llgbolabel">{'llgbo_header_recent_pics'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_recent_pics' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_RECENT_PICS}</td>
-  </tr>	
-  <tr>	
+   </tr>   <tr>
        <td class="llgbolabel">{'llgbo_header_created_monthly_calendar'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_created_monthly_calendar' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_CREATED_MONTHLY_CALENDAR}</td>
+	</tr>   <tr>
 		<td class="llgbolabel">{'llgbo_header_tags'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_tags' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_TAGS}</td>
-  </tr>	
-  <tr>
-		<td class="llgbolabel">{'llgbo_header_search'|@translate}</td>
-		<td class="llgboinput">	{html_radios name='llgbo_header_search' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_SEARCH}</td>
-		<td class="llgbolabel">{'llgbo_header_comments'|@translate}</td>
-		<td class="llgboinput">	{html_radios name='llgbo_header_comments' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_COMMENTS}</td>
-  </tr>	
-  <tr>
-			<td class="llgbolabel">{'llgbo_header_about'|@translate}</td>
-		<td class="llgboinput">	{html_radios name='llgbo_header_about' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_ABOUT}</td>
-	<td class="llgbolabel">{'llgbo_header_notification'|@translate}</td>
-		<td class="llgboinput">	{html_radios name='llgbo_header_notification' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_NOTIFICATION}</td>
-	</tr>	
-    <tr>	
-        <td class="llgbolabel">{'llgbo_header_register'|@translate}</td>
-		<td class="llgboinput">	{html_radios name='llgbo_header_register' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_REGISTER}</td>
-  
-		<td class="llgbolabel">{'llgbo_header_identification'|@translate}</td>
-		<td class="llgboinput">	{html_radios name='llgbo_header_identification' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_IDENTIFICATION}</td>
-  </tr>	
-      <tr>	
+   	</tr>    <tr>
         <td class="llgbolabel">{'llgbo_header_recent_cats'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_header_recent_cats' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_RECENT_CATS}</td>
   </tr>	
+    <tr><td colspan="2"><br></td></tr>
+	<tr> 
+		<td class="llgbolabel">{'llgbo_header_search'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_search' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_SEARCH}</td>
+	</tr>   <tr>
+		<td class="llgbolabel">{'llgbo_header_comments'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_comments' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_COMMENTS}</td>
+	</tr>     <tr>
+		<td class="llgbolabel">{'llgbo_header_about'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_about' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_ABOUT}</td>
+	 </tr>	
+    <tr><td colspan="2"><br></td></tr>
+	<tr> 
+		<td class="llgbolabel">{'llgbo_header_notification'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_notification' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_NOTIFICATION}</td>
+	</tr>   <tr>	
+        <td class="llgbolabel">{'llgbo_header_register'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_register' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_REGISTER}</td>
+    </tr>   <tr>
+		<td class="llgbolabel">{'llgbo_header_identification'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_header_identification' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER_IDENTIFICATION}</td>
+	</tr>
 </table>
 
-<div align="center"><br><br><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
+<div align="center"><br><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
 </fieldset>
 </form>
Index: extensions/LLGBO2/admin/llgbo_admintooltip.tpl
===================================================================
--- extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 4574)
+++ extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 4578)
@@ -5,7 +5,7 @@
 <fieldset>
 
-<div id="picker"style="{$LLGBODISPTOOLTIP}"></div>
+<div id="picker"></div>
 <!--           T O O L T I P  -->
-<div id="tooltip"   style= "border:{$LLGBO_TOOLTIP_SIZE}px solid {$LLGBO_TOOLTIP_BORDERCOLOR};{$LLGBODISPTOOLTIP};background:{$LLGBO_TOOLTIP_BACKGROUNDCOLOR};color:{$LLGBO_TOOLTIP_COLOR};min-width:500px;">	
+<div id="tooltip"   style= "border:{$LLGBO_TOOLTIP_SIZE}px solid {$LLGBO_TOOLTIP_BORDERCOLOR};{$LLGBODISPTOOLTIP};background:{$LLGBO_TOOLTIP_BACKGROUNDCOLOR};color:{$LLGBO_TOOLTIP_COLOR};">	
 	
 	<table align="center"  >
@@ -46,5 +46,5 @@
   $(document).ready(function() {ldelim}
     var f = $.farbtastic('#picker');
-    var p = $('#picker').css('opacity', 0.45);
+    var p = $('#picker').css('opacity', 0.65);
     var selected;
     $('.colorwell')
Index: extensions/LLGBO2/css/look_like_gbo2_admin.css
===================================================================
--- extensions/LLGBO2/css/look_like_gbo2_admin.css	(revision 4574)
+++ extensions/LLGBO2/css/look_like_gbo2_admin.css	(revision 4578)
@@ -1,12 +1,10 @@
 #picker, #framepicker{
-	float:right;
-	margin-left:0;
-	margin-top:0}
+	float:right;	margin-left:0;	margin-top:0;}
 	
 #framepicker{
-	float:right;
-	margin-left:0;
-	margin-top:150px;
-	margin-right:50px}
+	float:right;	margin-left:0;
+	margin-top:12%;
+	margin-right:4%;
+	}
 	
  
@@ -19,27 +17,41 @@
 .llgbolabel{
 	text-align:left;
-	padding-left:85px;
-	margin :0 ;
+	padding:0;
+	margin :0;
 }
 .llgboinput{
 	text-align:left;
-	padding-left:10px;
-	margin :0 ;
+	margin :0;
+
 }
 .llgbofield , .colorwell ,.colorwellf{
-	width:65px;text-align:left;
+	width:60px;text-align:left;
 }
 .llgbofieldf {
-	width:35px;text-align:left;
+	width:20px;text-align:left;
 }
 #llgbotable{
-	margin-right:0%;
-	margin-left:0%;
+	margin:1em;
+	width:500px;
+margin:auto} 
+#llgboHeadertable{
+	margin:1em;
+	width:500px;
+	margin:auto
+}
+#llgboframetable{
+	margin:1em;
+	width:65%;
+	text-align:center;
+	position: relative;
+	top:-2.5em;
+	margin:auto
 } 
+#gboh2{text-align:center; position: relative;top:1.5em;left:40%}
+
 #tooltip{
-    margin-right:25%;
-	margin-left:15%;
-	padding:5px;
+    width:67%;
 	-moz-border-radius:10px;
+	overflow:hidden;
 }
 #llgbotitle {padding:15px 0 5px 0;color:#c92;text-align:center;font-weight:700}
Index: extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4574)
+++ extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4578)
@@ -51,5 +51,5 @@
 $lang['llgbo_M_manage'] = 'Global settings';
 $lang['llgbo_samples'] = 'Samples : ';
-// must be translate 
+// must be translate -->  in good english to
 $lang['Howto'] = 'This plugin manage the picture page presentation.<br>';
 $lang['llgbo_frame']='Manage frame around the picture :';
@@ -61,6 +61,6 @@
 $lang['llgbo_header_home'] = 'Header display on Home page';
 $lang['llgbo_header_category'] = 'Header display on Category page';
-$lang['llgbo_header_category_filter_recent']= 'Header display on Category page :filter by recent';
-$lang['llgbo_header_category_flat']= 'Header display on Category page option flat' ;
+$lang['llgbo_header_category_filter_recent']= 'Header display on Category page (filter by recent)';
+$lang['llgbo_header_category_flat']= 'Header display on Category page (option flat)' ;
 $lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
 $lang['llgbo_header_picture']= 'Header display on Picture page' ;
Index: extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4574)
+++ extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4578)
@@ -53,22 +53,22 @@
 $lang['llgbo_frame_bdsize']= 'épaisseur : ';
 $lang['llgbo_M_frame'] = 'Gestion du cadre';
-$lang['llgbo_M_tooltip'] = 'Gestion de l\'infofulle';
+$lang['llgbo_M_tooltip'] = 'Gestion de l\'infobulle';
 $lang['llgbo_M_manage'] = 'Paramétres généraux';
 $lang['llgbo_samples'] = 'Exemples :';
 // must be translate 
-$lang['Howto'] = 'Ce plugin gére la présentation  de la page Image.<br>';
+$lang['Howto'] = 'Ce plugin gère la présentation  de la page Image.<br>';
 $lang['llgbo_frame']='Gérer le cadre autour de la photo';
 $lang['Step4_Title'] = 'Gestion de l\'affichage de l\'entête';
 $lang['llgbo_header']='Gérer l\'affichage de l\'entête';
-$lang['llgo_tooltip_setting']= 'titre de l\'infobulle';
+$lang['llgo_tooltip_setting']= 'Titre de l\'info bulle';
 $lang['llgbo_M_header'] = 'Gestion de l\'affichage de l\'entête';
 $lang['Step4_Title'] = 'Affiche / Masque l\'entête de chaque page';
 $lang['llgbo_header_home'] = 'Affichage sur la page d\'Accueil';
 $lang['llgbo_header_category'] = 'Affichage sur la page catégorie';
-$lang['llgbo_header_category_filter_recent']= 'Affichage sur la page catégorie :filtrée par récent';
+$lang['llgbo_header_category_filter_recent']= 'Affichage sur la page catégorie (filtrée par récent)';
 $lang['llgbo_header_category_flat']= 'Affichage sur la page catégorie (à plat)' ;
-$lang['llgbo_header_category_posted_monthly']= 'Affichage sur la page catégorie opion calendrier' ;
+$lang['llgbo_header_category_posted_monthly']= 'Affichage sur la page catégorie option calendrier' ;
 $lang['llgbo_header_picture']= 'Affichage sur la page Image' ;
-$lang['llgbo_header_additional_page'] = 'Affichage sur les pages Additonelles';
+$lang['llgbo_header_additional_page'] = 'Affichage sur les pages Additionnelles';
 $lang['llgbo_header_most_visited'] = 'Affichage sur la page Plus visitées';
 $lang['llgbo_header_best_rated'] = 'Affichage sur la page Mieux notées';
@@ -79,5 +79,5 @@
 $lang['llgbo_header_search']= 'Affichage sur la page Recherche';
 $lang['llgbo_header_comments']= 'Affichage sur la page Commentaires';
-$lang['llgbo_header_about']= 'Affichage sur la page Apropos';
+$lang['llgbo_header_about']= 'Affichage sur la page A propos';
 $lang['llgbo_header_notification']= 'Affichage sur la page Notification';
 $lang['llgbo_header_register'] = 'Affichage sur la page Inscription';
@@ -87,5 +87,3 @@
 
 
-
-
 ?>
Index: extensions/LLGBO2/main.inc.php
===================================================================
--- extensions/LLGBO2/main.inc.php	(revision 4574)
+++ extensions/LLGBO2/main.inc.php	(revision 4578)
@@ -46,5 +46,4 @@
 function MyBeginheader()
 { global $page,$conf;
-	
 	 If ($conf['LLGBO_SETTINGS'][2]  == 'true' ) // reset nofollow, noindex
 	{ unset ($page['meta_robots']);}
@@ -54,7 +53,8 @@
 {global $template,$conf;
 $page_name = script_basename();
+if (!isset($page_name)) {$page_name ='index';}
 if ($conf['LLGBO_SETTINGS'] [6] = 'true' ) 
 {$no_header = false;
-if (  $page_name == 'index')
+if  (  $page_name == 'index')
 	{//  print_r($_GET.'----'.$page_name ); 
  	if ((count ($_GET)) == 0   and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// home
@@ -74,6 +74,5 @@
 			if ((strpos( $cle ,'created-monthly-list') == true ) and ($conf['LLGBO_HEADER'][12] == 'false')) {$no_header = true;break;}
 			if ((strpos( $cle ,'favorites') == true ) and ($conf['LLGBO_HEADER'][19] == 'false')) {$no_header = true;break;}
-		    if ((strpos( $cle ,'recent_cats') == true ) and ($conf['LLGBO_HEADER'][20] == 'false')) {$no_header = true;break;}
-        
+		    if ((strpos( $cle ,'recent_cats') == true ) and ($conf['LLGBO_HEADER'][20] == 'false')) {$no_header = true;break;} 
 		 }
 	}
@@ -90,6 +89,4 @@
 {$template->append('head_elements',"\n".' <STYLE type="text/css">#theHeader{display: none}</STYLE>');}
 }	
-		
-
 //
 If ($conf['LLGBO_SETTINGS'] [9]  == 'true' )