Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4579)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4580)
@@ -23,64 +23,64 @@
 $lang['llgbo_default_navthumb'] = 'Suprime la fijación estándar de las miniaturas de navegación :';
 // must be translate
-$lang['save'] = 'Save';
-$lang['preview'] = 'Preview';
-$lang['llgo_tooltip_width']= 'Define tooltip width';  
-$lang['llgo_tooltip_size']= 'Define tooltip border width';  
-$lang['llgbo_tooltip_bordercolor']= 'Define tooltip border color';
-$lang['llgbo_tooltip_backgroundcolor']= 'Define tooltip background color';
-$lang['llgbo_tooltip_titlecolor']= 'Define tooltip title color';
-$lang['llgbo_tooltip_color']= 'Define tooltip text color';
-$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
-$lang['llgo_tooltip_setting']= 'Tooltip settings';
-$lang['llgo_frame_setting']= 'Frame settings :' ;
-$lang['llgbo_title_frame_color']= 'Title frame color';
-$lang['llgbo_frame_bdcolor0']= 'Line 1 color : ';
-$lang['llgbo_frame_bdcolor1']= 'Line 2 color : ';
-$lang['llgbo_frame_bdcolor2']= 'Line 3 color : ';
-$lang['llgbo_frame_bdcolor3']= 'Line 4 color : ';
-$lang['llgbo_frame_bdcolor4']= 'Line 5 color : ';
-$lang['llgbo_frame_bdcolor5']= 'Line 6 color : ';
-$lang['llgbo_frame_bdcolor6']= 'Line 7 color : ';
-$lang['llgbo_frame_bdcolor7']= 'Line 8 color : ';
-$lang['llgbo_frame_bdcolor8']= 'Line 9 color : ';
-$lang['llgbo_frame_bdcolor9']= 'Line 10 color : ';
-$lang['llgbo_frame_bdcolor10']= 'Line 11 color : ';
-$lang['llgbo_frame_bdcolor11']= 'Line 12 color : ';
-$lang['llgbo_frame_bdcolor12']= 'Line 13 color : ';
-$lang['llgbo_frame_bdcolor13']= 'Line 14 color : ';
-$lang['llgbo_frame_bdcolor14']= 'Line 15 color : ';
-$lang['llgbo_frame_bdcolor15']= 'Line 16 color : ';
+$lang['save'] = 'Registrar';
+$lang['preview'] = 'Hacer visible';
+$lang['llgo_tooltip_width']= 'Anchura de la burbuja info';  
+$lang['llgo_tooltip_size']= 'Anchura del ribete de la burbuja info';  
+$lang['llgbo_tooltip_bordercolor']= 'Anchura del ribete de la burbuja info';
+$lang['llgbo_tooltip_backgroundcolor']= 'Color del fondo de la burbuja info';
+$lang['llgbo_tooltip_titlecolor']= 'Color del título de la burbuja info';
+$lang['llgbo_tooltip_color']= 'Color del texto de la burbuja info';
+$lang['llgo_global_setting']= 'Parmètres a generales de la página picture de Piwigo';
+$lang['llgo_tooltip_setting']= 'Título de la burbuja info';
+$lang['llgo_frame_setting']= 'Parámetros del marco :' ;
+$lang['llgbo_title_frame_color']= 'Color del título fijado sobre el marco';
+$lang['llgbo_frame_bdcolor0']= 'Linea 1 color : ';
+$lang['llgbo_frame_bdcolor1']= 'Linea 2 color : ';
+$lang['llgbo_frame_bdcolor2']= 'Linea 3 color : ';
+$lang['llgbo_frame_bdcolor3']= 'Linea 4 color : ';
+$lang['llgbo_frame_bdcolor4']= 'Linea 5 color : ';
+$lang['llgbo_frame_bdcolor5']= 'Linea 6 color : ';
+$lang['llgbo_frame_bdcolor6']= 'Linea 7 color : ';
+$lang['llgbo_frame_bdcolor7']= 'Linea 8 color : ';
+$lang['llgbo_frame_bdcolor8']= 'Linea 9 color : ';
+$lang['llgbo_frame_bdcolor9']= 'Linea 10 color : ';
+$lang['llgbo_frame_bdcolor10']= 'Linea 11 color : ';
+$lang['llgbo_frame_bdcolor11']= 'Linea 12 color : ';
+$lang['llgbo_frame_bdcolor12']= 'Linea 13 color : ';
+$lang['llgbo_frame_bdcolor13']= 'Linea 14 color : ';
+$lang['llgbo_frame_bdcolor14']= 'Linea 15 color : ';
+$lang['llgbo_frame_bdcolor15']= 'Linea 16 color : ';
 $lang['llgbo_frame_bdsize']= 'size in px : ';
-$lang['llgbo_M_frame'] = 'Frame management';
-$lang['llgbo_M_tooltip'] = 'Tooltip management';
-$lang['llgbo_M_manage'] = 'Global settings';
-$lang['llgbo_samples'] = 'Samples : ';
-$lang['llgbo_frame']='Manage frame around the picture :';
+$lang['llgbo_M_frame'] = 'Gestión del marco';
+$lang['llgbo_M_tooltip'] = 'Gestión de de la burbuja info';
+$lang['llgbo_M_manage'] = 'Paramétres generales';
+$lang['llgbo_samples'] = 'Ejemplos : ';
+$lang['llgbo_frame']='Administrar un marco alrededor de la imagen :';
 // must be translate 
-$lang['llgbo_frame']='Manage frame around the picture :';
-$lang['Step4_Title'] = 'Header settings';
-$lang['llgbo_header']='Manage display header ';
-$lang['llgo_tooltip_setting']= 'Tooltip title';
-$lang['llgbo_M_header'] = 'Display Header management';
-$lang['Step4_Title'] = 'Header  Display/Hide for each page';
-$lang['llgbo_header_home'] = 'Header display on Home page';
-$lang['llgbo_header_category'] = 'Header display on Category page';
-$lang['llgbo_header_category_filter_recent']= 'Header display on Category page :filter by recent';
-$lang['llgbo_header_category_flat']= 'Header display on Category page option flat' ;
-$lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
-$lang['llgbo_header_picture']= 'Header display on Picture page' ;
-$lang['llgbo_header_additional_page'] = 'Header display on Additional page';
-$lang['llgbo_header_most_visited'] = 'Header display on Most visited page';
-$lang['llgbo_header_best_rated'] = 'Header display on Best rated page';
-$lang['llgbo_header_list']= 'Header display on Random pictures page';
-$lang['llgbo_header_recent_pics']= 'Header display on Recents pictures page';
-$lang['llgbo_header_created_monthly_calendar'] = 'Header display on Calendar page'; 
-$lang['llgbo_header_tags']= 'Header display on Tags page'; 
-$lang['llgbo_header_search']= 'Header display on Search page';
-$lang['llgbo_header_comments']= 'Header display on Comments page';
-$lang['llgbo_header_about']= 'Header display on About page';
-$lang['llgbo_header_notification']= 'Header display on Notification page';
-$lang['llgbo_header_register'] = 'Header display on Register page';
-$lang['llgbo_header_identification']= 'Header display on identification page';
-$lang['llgbo_header_favorites']= 'Header display on My Favorites page';
-$lang['llgbo_header_recent_cats']= 'Header display on Recent category page';?>
+$lang['llgbo_frame']='Administrar un marco alrededor de la imagen :';
+$lang['Step4_Title'] = 'Gestión de la fijación de la marea';
+$lang['llgbo_header']='Administrar la fijación de la marea ';
+//$lang['llgo_tooltip_setting']= 'Tooltip title';
+$lang['llgbo_M_header'] = 'Gestión de la fijación de la marea';
+$lang['Step4_Title'] = 'Anuncio / Máscara la marea de cada página';
+$lang['llgbo_header_home'] = 'Fijación sobre la página inicial';
+$lang['llgbo_header_category'] = 'Fijación sobre la página categoría';
+$lang['llgbo_header_category_filter_recent']= 'Fijación sobre la página categoría (filtrada por reciente)';
+$lang['llgbo_header_category_flat']= 'Fijación sobre la página categoría (a plato)' ;
+$lang['llgbo_header_category_posted_monthly']= 'Fijación sobre la página categoría opción calendario' ;
+$lang['llgbo_header_picture']= 'Fijación sobre la página Image' ;
+$lang['llgbo_header_additional_page'] = 'Fijación sobre las páginas Adicionales';
+$lang['llgbo_header_most_visited'] = 'Fijación sobre la página Imágenes más vistas ';
+$lang['llgbo_header_best_rated'] = 'Fijación sobre la página Mejor valoradas ';
+$lang['llgbo_header_list']= 'Fijación sobre la página Selección aleatoria ';
+$lang['llgbo_header_recent_pics']= 'Fijación sobre la página Últimas imágenes añadidas ';
+$lang['llgbo_header_created_monthly_calendar'] = 'Fijación sobre la página Calendario'; 
+$lang['llgbo_header_tags']= 'Fijación sobre la página Tags '; 
+$lang['llgbo_header_search']= 'Fijación sobre la página Búsqueda avanzada';
+$lang['llgbo_header_comments']= 'Fijación sobre la página Comentarios';
+$lang['llgbo_header_about']= 'Fijación sobre la página Acerca de';
+$lang['llgbo_header_notification']= 'Fijación sobre la página Notificación RSS';
+$lang['llgbo_header_register'] = 'Fijación sobre la página Regístrese ';
+$lang['llgbo_header_identification']= 'Fijación sobre la página Identificarse';
+$lang['llgbo_header_favorites']= 'Fijación sobre la página Mis favoritos';
+$lang['llgbo_header_recent_cats']= 'Fijación sobre la página Últimas categorías ';?>