Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4580)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4581)
@@ -4,87 +4,85 @@
 // | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
 // | Copyright (C) 2003-2009 PhpWebGallery Team - http://phpwebgallery.net |
-// | Copyright (C) 2009 Piwigo Team - http://piwigo.org |
-
 // +-----------------------------------------------------------------------+
 $lang['submit'] = 'Küldés';
 $lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'Ez a bővítmény lehetővé teszi, hogy módosítsa az oldalon lévő képek megjelenését.';
+$lang['Howto'] = 'Ez a bővítmény lehetővé teszi, hogy módosítsa az oldalon lévő képek megjelenését.<br>';
 $lang['Step1_Title'] = 'Bővítmény beállítások';
-$lang['llgbo_tooltip']='Legyen kibővített buboréksúgó a gomb alatt? (bélyegkép + szöveg):';
-$lang['llgbo_exifunderbt']='Jelenjenek meg az EXIF adatok a METAADATOK buboréksúgójában?:';
-$lang['llgbo_always_displayexif'] = 'Mindig megjelenő METAADATOK (EXIF):' ;
+$lang['Step2_Title'] = 'Buboréksúgó beállítások';
+$lang['Step3_Title'] = 'Képkeret beállítások';
+$lang['llgbo_tooltip']='Legyen kibővített buboréksúgó a gomb alatt? (bélyegkép + szöveg) :';
+$lang['llgbo_exifunderbt']='Jelenjenek meg az EXIF adatok a METAADATOK buboréksúgójában? :';
+$lang['llgbo_always_displayexif'] = 'Mindig megjelenő METAADATOK (EXIF) :' ;
 $lang['llgbo_frame']='Fehér keret jelenjen meg a kép körül:';
-$lang['llgbo_header']='Fejléc csak a megadott oldalakon jelenjen meg?:';
-$lang['llgbo_maintain_header']='Fejléc megtartása a következő oldalakon:';
-$lang['llgbo_allinfo']='Megjeleníti az összes adatot a képekről:';
-$lang['llgbo_usemap']='Navigációs buboréksúgó a kurzor alatt:';
-$lang['llgbo_usemap_thumb']='Bélyegkép mutatása ha a kurzor a képen van és a kibővített budoréksúgó be van kapcsolva:';
+$lang['llgbo_header']='Fejléc csak a megadott oldalakon jelenjen meg? :';
+$lang['llgbo_maintain_header']='Fejléc megtartása a következő oldalakon :';
+$lang['llgbo_allinfo']='Megjeleníti az összes adatot a képekről :';
+$lang['llgbo_usemap']='Navigációs buboréksúgó a kurzor alatt :';
+$lang['llgbo_usemap_thumb']='Bélyegkép mutatása ha a kurzor a képen van és a kibővített budoréksúgó be van kapcsolva :';
 $lang['llgbo_info']='(^_^)Beállítások frissítve !';
-$lang['llgbo_title_frame'] = 'Megjelenjen-e a kép címe a képkereten, ha az be van kapcsolva:';
-$lang['llgbo_default_navthumb'] = 'Kikapcsolja a hagyományos nézetet?(Előző/Következő kép bélyegképének megjelenítése):';
+$lang['llgbo_title_frame'] = 'Megjelenjen-e a kép címe a képkereten, ha az be van kapcsolva :';
+$lang['llgbo_default_navthumb'] = 'Kikapcsolja a hagyományos nézetet?(Előző/Következő kép bélyegképének megjelenítése) :';
 
 // must be translate 19/12/2009
  
-$lang['save'] = 'Save';
-$lang['preview'] = 'Preview';
-$lang['llgo_tooltip_width']= 'Define tooltip width';  
-$lang['llgo_tooltip_size']= 'Define tooltip border width';  
-$lang['llgbo_tooltip_bordercolor']= 'Define tooltip border color';
-$lang['llgbo_tooltip_backgroundcolor']= 'Define tooltip background color';
-$lang['llgbo_tooltip_titlecolor']= 'Define tooltip title color';
-$lang['llgbo_tooltip_color']= 'Define tooltip text color';
-$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
-$lang['llgo_tooltip_setting']= 'Tooltip settings';
-$lang['llgo_frame_setting']= 'Frame settings :' ;
-$lang['llgbo_title_frame_color']= 'Title frame color';
-$lang['llgbo_frame_bdcolor0']= 'Line 1 color : ';
-$lang['llgbo_frame_bdcolor1']= 'Line 2 color : ';
-$lang['llgbo_frame_bdcolor2']= 'Line 3 color : ';
-$lang['llgbo_frame_bdcolor3']= 'Line 4 color : ';
-$lang['llgbo_frame_bdcolor4']= 'Line 5 color : ';
-$lang['llgbo_frame_bdcolor5']= 'Line 6 color : ';
-$lang['llgbo_frame_bdcolor6']= 'Line 7 color : ';
-$lang['llgbo_frame_bdcolor7']= 'Line 8 color : ';
-$lang['llgbo_frame_bdcolor8']= 'Line 9 color : ';
-$lang['llgbo_frame_bdcolor9']= 'Line 10 color : ';
-$lang['llgbo_frame_bdcolor10']= 'Line 11 color : ';
-$lang['llgbo_frame_bdcolor11']= 'Line 12 color : ';
-$lang['llgbo_frame_bdcolor12']= 'Line 13 color : ';
-$lang['llgbo_frame_bdcolor13']= 'Line 14 color : ';
-$lang['llgbo_frame_bdcolor14']= 'Line 15 color : ';
-$lang['llgbo_frame_bdcolor15']= 'Line 16 color : ';
-$lang['llgbo_frame_bdsize']= 'size in px : ';
-$lang['llgbo_M_frame'] = 'Frame management';
-$lang['llgbo_M_tooltip'] = 'Tooltip management';
-$lang['llgbo_M_manage'] = 'Global settings';
-$lang['llgbo_samples'] = 'Samples : ';
-$lang['llgbo_frame']='Manage frame around the picture :';
-$lang['Howto'] = 'This plugin manage the picture page presentation.<br>';
-$lang['llgbo_frame']='Manage frame around the picture :';
-$lang['Step4_Title'] = 'Header settings';
-$lang['llgbo_header']='Manage display header ';
-$lang['llgo_tooltip_setting']= 'Tooltip title';
-$lang['llgbo_M_header'] = 'Display Header management';
-$lang['Step4_Title'] = 'Header  Display/Hide for each page';
-$lang['llgbo_header_home'] = 'Header display on Home page';
-$lang['llgbo_header_category'] = 'Header display on Category page';
-$lang['llgbo_header_category_filter_recent']= 'Header display on Category page :filter by recent';
-$lang['llgbo_header_category_flat']= 'Header display on Category page option flat' ;
-$lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
-$lang['llgbo_header_picture']= 'Header display on Picture page' ;
-$lang['llgbo_header_additional_page'] = 'Header display on Additional page';
-$lang['llgbo_header_most_visited'] = 'Header display on Most visited page';
-$lang['llgbo_header_best_rated'] = 'Header display on Best rated page';
-$lang['llgbo_header_list']= 'Header display on Random pictures page';
-$lang['llgbo_header_recent_pics']= 'Header display on Recents pictures page';
-$lang['llgbo_header_created_monthly_calendar'] = 'Header display on Calendar page'; 
-$lang['llgbo_header_tags']= 'Header display on Tags page'; 
-$lang['llgbo_header_search']= 'Header display on Search page';
-$lang['llgbo_header_comments']= 'Header display on Comments page';
-$lang['llgbo_header_about']= 'Header display on About page';
-$lang['llgbo_header_notification']= 'Header display on Notification page';
-$lang['llgbo_header_register'] = 'Header display on Register page';
-$lang['llgbo_header_identification']= 'Header display on identification page';
-$lang['llgbo_header_favorites']= 'Header display on My Favorites page';
-$lang['llgbo_header_recent_cats']= 'Header display on Recent category page';
+$lang['save'] = 'Mentés';
+$lang['preview'] = 'Előnézet';
+$lang['llgo_tooltip_width']= 'Szélesség';  
+$lang['llgo_tooltip_size']= 'Keret szélesség';  
+$lang['llgbo_tooltip_bordercolor']= 'Keret szín';
+$lang['llgbo_tooltip_backgroundcolor']= 'Háttérszín';
+$lang['llgbo_tooltip_titlecolor']= 'Címszín';
+$lang['llgbo_tooltip_color']= 'Szövegszín';
+$lang['llgo_global_setting']= 'Piwigo Kép oldal általános beállítások';
+$lang['llgo_tooltip_setting']= 'Buboréksúgó beállítások';
+$lang['llgo_frame_setting']= 'Képkeret beállítások :' ;
+$lang['llgbo_title_frame_color']= 'Kép címének színe a kereten';
+$lang['llgbo_frame_bdcolor0']= '1. elem színe : ';
+$lang['llgbo_frame_bdcolor1']= '2. elem színe : ';
+$lang['llgbo_frame_bdcolor2']= '3. elem színe : ';
+$lang['llgbo_frame_bdcolor3']= '4. elem színe : ';
+$lang['llgbo_frame_bdcolor4']= '5. elem színe : ';
+$lang['llgbo_frame_bdcolor5']= '6. elem színe : ';
+$lang['llgbo_frame_bdcolor6']= '7. elem színe : ';
+$lang['llgbo_frame_bdcolor7']= '8. elem színe : ';
+$lang['llgbo_frame_bdcolor8']= '9. elem színe : ';
+$lang['llgbo_frame_bdcolor9']= '10. elem színe : ';
+$lang['llgbo_frame_bdcolor10']= '11. elem színe : ';
+$lang['llgbo_frame_bdcolor11']= '12. elem színe : ';
+$lang['llgbo_frame_bdcolor12']= '13. elem színe : ';
+$lang['llgbo_frame_bdcolor13']= '14. elem színe : ';
+$lang['llgbo_frame_bdcolor14']= '15. elem színe : ';
+$lang['llgbo_frame_bdcolor15']= '16. elem színe : ';
+$lang['llgbo_frame_bdsize']= 'méret px : ';
+$lang['llgbo_M_frame'] = 'Képkeret beállítások';
+$lang['llgbo_M_tooltip'] = 'Buboréksúgó beállítások';
+$lang['llgbo_M_manage'] = 'Általános beállítások';
+$lang['llgbo_samples'] = 'Minták : ';
+$lang['llgbo_frame']='Keret megjelenítése a kép körül :';
+$lang['llgbo_frame']='Keret megjelenítése a kép körül :';
+$lang['llgbo_header']='Fejléc megjelenítésének kezelése :';
+$lang['llgo_tooltip_setting']= 'Cím színe';
+$lang['llgbo_M_header'] = 'Fejléc megjelenítés beállítások';
+$lang['Step4_Title'] = 'Fejléc megjelenítés/elrejtés oldalakon';
+$lang['llgbo_header_home'] = 'Fejléc a Nyitó oldalon';
+$lang['llgbo_header_category'] = 'Fejléc a Kategóriák oldalon';
+$lang['llgbo_header_category_filter_recent']= 'Fejléc a Kategóriák oldalon :szűrés eredménye';
+$lang['llgbo_header_category_flat']= 'Fejléc a Kategóriák oldalon :összes elem' ;
+$lang['llgbo_header_category_posted_monthly']= 'Fejléc a Kategóriák oldalon :naptár megjelenítés' ;
+$lang['llgbo_header_picture']= 'Fejléc a Képek oldalon' ;
+$lang['llgbo_header_additional_page'] = 'Fejléc a További oldalak-on';
+$lang['llgbo_header_most_visited'] = 'Fejléc a Legtöbbször nézett oldalon';
+$lang['llgbo_header_best_rated'] = 'Fejléc a Legjobban pontozott oldalon';
+$lang['llgbo_header_list']= 'Fejléc a Véletlenszerű képek oldalon';
+$lang['llgbo_header_recent_pics']= 'Fejléc a Legfrissebb képek oldalon';
+$lang['llgbo_header_created_monthly_calendar'] = 'Fejléc a Naptár oldalon'; 
+$lang['llgbo_header_tags']= 'Fejléc a Cimkék oldalon'; 
+$lang['llgbo_header_search']= 'Fejléc a Keresés oldalon';
+$lang['llgbo_header_comments']= 'Fejléc a Hozzászólások oldalon';
+$lang['llgbo_header_about']= 'Fejléc az Impresszum oldalon';
+$lang['llgbo_header_notification']= 'Fejléc az RSS oldalon';
+$lang['llgbo_header_register'] = 'Fejléc a Regisztráció oldalon';
+$lang['llgbo_header_identification']= 'Fejléc az Azonosító oldalon';
+$lang['llgbo_header_favorites']= 'Fejléc a Kedvencek oldalon';
+$lang['llgbo_header_recent_cats']= 'Fejléc a Legfrissebb kategória oldalon';
 ?>