Index: extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- extensions/LLGBO2/admin/llgbo_admin.php	(revision 4578)
+++ extensions/LLGBO2/admin/llgbo_admin.php	(revision 4591)
@@ -109,5 +109,5 @@
 	{  
 	if (!isset($_POST['llgbo_frame'])) {$_POST['llgbo_frame'] = 'false';} 
-	if (!isset($_POST['llgbo_tooltip'])) {$_POST['llgbo_tooltip'] = 'false';}  
+	if (!isset($_POST['llgbo_tooltip_disp'])) {$_POST['llgbo_tooltip_disp'] = 'false';}  
 	if (!isset($_POST['llgbo_exifunderbt'])) {$_POST['llgbo_exifunderbt'] = 'false';}  
 	if (!isset($_POST['llgbo_usemap'])) {$_POST['llgbo_usemap'] = 'false';}
@@ -119,5 +119,5 @@
 	if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';} //9	}
 	 $param_llgbo = array($_POST['llgbo_frame'],
-				$_POST['llgbo_tooltip'],             $_POST['llgbo_exifunderbt'],
+				$_POST['llgbo_tooltip_disp'],             $_POST['llgbo_exifunderbt'],
 				$_POST['llgbo_usemap'],			$_POST['llgbo_usemap_thumb'],
 				$_POST['llgbo_title_frame'],			$_POST['llgbo_header'],
@@ -240,6 +240,24 @@
 		}
 		$conf['LLGBO_FRAME'] = explode ("," ,$llgbo_newframe_value );
-	
-}
+}
+if ( isset($_POST['previewsample']) )
+{  if (isset($_POST['sample'])) { //print_r($_POST);
+		if ($_POST['sample'] == "GOLD")
+			{ $llgbo_sample = "#f6e1ac,#d0a641,2,#b08827,1,#f3ead8,5,#9c740e,1,#553b00,1,#5e4400,1,#684d07,1,#977424,1,#95772b,1,#896611,1,#674e13,3,#8e784b,1,#e0c992,2,#e8cb8b,1,#af9045,1,#8a6612,1";}
+		if ($_POST['sample'] == "WHITE")
+			{ $llgbo_sample = "#16195f,#ffffff,3,#040404,1,#ffffff,7,#ffffff,1,#fdfdfd,1,#fcfcfc,1,#fafafa,1,#eaeaea,1,#d3d3d3,1,#bababa,1,#9f9f9f,1,#858585,1,#777777,1,#646464,1,#575757,1,#474747,1";}
+		if ($_POST['sample'] == "BLACK")
+			{ $llgbo_sample = "#9f7a09,#090909,3,#fafafa,1,#0b0b0b,4,#0c0c0c,4,#1f1f20,1,#29292b,1,#343435,1,#3f3f41,1,#4a4a4b,1,#555557,1,#616163,1,#6d6d6e,1,#79797a,1,#848485,1,#919192,1,#9d9d9e,1";}
+		if ($_POST['sample'] == "METAL")
+		{ $llgbo_sample = "#111111,#e8e8e8,2,#babdbf,1,#4a4c4d,3,#a3a7aa,2,#a8acaf,2,#adb2b4,1,#b3b8ba,1,#c0c4c6,2,#c6c9cc,1,#c8cbcd,1,#c5c9cb,1,#c9cdcf,1,#cdd1c2,1,#cdd1c2,1,#b1b3da,1,#666e83,1";}
+		if ($_POST['sample'] == "BLUE")
+		{ $llgbo_sample = "#000000,#e8e8e8,2,#b6d0d5,1,#fafefe,9,#a3a7aa,1,#a8acaf,1,#404b54,1,#32403d,1,#b1b7c3,1,#4c5970,1,#303d4e,1,#566662,2,#96abb1,1,#737479,1,#d2d2d7,1,#6e716b,1,#5a5b5c,1";}
+		if ($_POST['sample'] == "B_W")
+			{ $llgbo_sample = "#e8cb8b,#fcf6e9,11,#171112,9,#352c2d,1,#fcf6e9,1,#000000,3,#171112,3,#000000,0,#000000,0,#000000,0,#000000,0,#000000,0,#000000,0,#000000,0,#000000,0,#000000,0,#000000,0";}
+		
+		
+	$conf['LLGBO_FRAME'] = explode ("," ,$llgbo_sample ); }
+}
+
  // FRAME
 	   if (isset($conf['LLGBO_FRAME'][0])) {$template->assign(array( 'LLGBO_TITLE_FRAME_COLOR' => $conf['LLGBO_FRAME'][0]));}
Index: extensions/LLGBO2/admin/llgbo_adminframe.tpl
===================================================================
--- extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4578)
+++ extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4591)
@@ -8,9 +8,17 @@
 	<span id="gboh2" style ="background:transparent;color:{$LLGBO_TITLE_FRAME_COLOR}">{'llgbo_title_frame_color'|@translate} </span>
 	{$FRAME_BEGIN}
+	<div align="center">  <span id="llgbotitle"> {'llgbo_frame_sample'|@translate} </span> <select name="sample">
+		<option label="GOLD" value="GOLD"><selected="selected">Gold</option>
+		<option label="BLUE" value="BLUE">Blue</option>
+		<option label="METAL" value="METAL">Metal</option>
+		<option label="BLACK" value="BLACK">Black</option>
+		<option label="WHITE" value="WHITE">White</option>
+		<option label="B_W" value="B_W">Black&White</option>
+		</select> <input class="submit" type="submit" value="{'previewsamples'|@translate}" name="previewsample"/>
+	</div>
 	<table id="llgboframetable">
-	<tr><br>
+	<tr>
 		<td   class="llgbolabel" >{'llgbo_title_frame_color'|@translate} </td>
 		<td ><input type="text" name="llgbo_title_frame_color" style="background-color:{$LLGBO_TITLE_FRAME_COLOR}" class="colorwellf" value="{$LLGBO_TITLE_FRAME_COLOR}" /> </td>
-		<br>
 	</tr>	
 	<tr>    
@@ -77,21 +85,12 @@
 		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdsize15"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE15}" /></td>
 	 </tr>
+	 
 	 </table>
 	{$FRAME_END}
-<div align="center"><br> <input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" /></div>
+<div align="center"><br> <input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" />
+ 
+</div>
 </fieldset>
 </form>
-<div style="{$LLGBODISPFRAME}">
-<P id="llgbotitle">{'llgbo_samples'|@translate} </p>
-<br>
-<img src="./plugins/look_like_gbo2/samples/blue_white.jpg">
-<br>
-<img src="./plugins/look_like_gbo2/samples/gold.jpg">
-<br>
-<img src="./plugins/look_like_gbo2/samples/metal.jpg">
-<br>
-<img src="./plugins/look_like_gbo2/samples/black.jpg">
-<br>
-</div>
 
 {* -- smarty syntaxe p55 {ldelim} remplace  {  et {rdelim} remplace  }    -- *}