Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4594)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4595)
@@ -6,78 +6,77 @@
 // +-----------------------------------------------------------------------+
 $lang['submit'] = 'Submit';
-$lang['Howto'] = 'This plugin manage the picture page presentation.<br>';
-$lang['Howto'] = 'This plugin manage the picture page presentation.<br>Special thanks to all the forum for their precious help   ';
+$lang['Title'] = 'Looks like GBo';
+$lang['Howto'] = 'This plugin manages the picture page layout.';
 $lang['Step1_Title'] = 'Plugin settings';
 $lang['Step2_Title'] = 'Tooltip settings';
 $lang['Step3_Title'] = 'Frame settings';
-$lang['Step4_Title'] = 'Header  Display/Hide for each page';
-$lang['llgbo_tooltip']='Display tooltip (thumbnail under button) on mouseover :';
-$lang['llgbo_exifunderbt']='Display tooltip (EXIF under button metadata) on mouseover :';
-$lang['llgbo_frame']='Manage frame around the picture :';
+$lang['Step4_Title'] = 'Display/hide the header of each page';
+$lang['llgbo_tooltip']='Special tooltips (photos thumbnails) on mouseover :';
+$lang['llgbo_exifunderbt']='Special tooltip for EXIF on mouseover:';
+$lang['llgbo_frame']='Manage a frame around the picture:';
 $lang['llgbo_header']='Manage display header ';
-$lang['llgbo_maintain_header']='Maintain header on the folowing page:';
-$lang['llgbo_usemap']='Add navigation on picture :';
-$lang['llgbo_usemap_thumb']='Display thumbnails when navigation on picture is active :';
+$lang['llgbo_maintain_header']='Maintain header on following pages:';
+$lang['llgbo_usemap']='Add navigation bar on picture:';
+$lang['llgbo_usemap_thumb']='Display thumbnails when navigation is active on picture :';
 $lang['llgbo_info']='     (^_^) Settings updated';
-$lang['llgbo_title_frame'] = 'Display picture title on frame';
-$lang['llgbo_default_navthumb'] = 'Hide standard display of Prev_Next thumbnails:';
+$lang['llgbo_title_frame'] = 'Display picture title on the frame';
+$lang['llgbo_default_navthumb'] = 'Suppress Prev_Next thumbnails standard display:';
 $lang['save'] = 'Save';
 $lang['preview'] = 'Preview';
-$lang['llgo_tooltip_width']= 'Define tooltip width';  
-$lang['llgo_tooltip_size']= 'Define tooltip border width';  
-$lang['llgbo_tooltip_bordercolor']= 'Define tooltip border color';
-$lang['llgbo_tooltip_backgroundcolor']= 'Define tooltip background color';
-$lang['llgbo_tooltip_titlecolor']= 'Define tooltip title color';
-$lang['llgbo_tooltip_color']= 'Define tooltip text color';
-$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
+$lang['llgo_tooltip_width']= 'Tooltip width';  
+$lang['llgo_tooltip_size']= 'Tooltip border width';  
+$lang['llgbo_tooltip_bordercolor']= 'Tooltip border color';
+$lang['llgbo_tooltip_backgroundcolor']= 'Tooltip background color';
+$lang['llgbo_tooltip_titlecolor']= 'Tooltip title color';
+$lang['llgbo_tooltip_color']= 'Tooltip text color';
+$lang['llgo_global_setting']= 'Piwigo picture page global settings';
 $lang['llgo_tooltip_setting']= 'Tooltip title';
-$lang['llgo_frame_setting']= 'Frame settings :' ;
-$lang['llgbo_title_frame_color']= 'Title frame color';
-$lang['llgbo_frame_bdcolor0']= 'Line 1 color : ';
-$lang['llgbo_frame_bdcolor1']= 'Line 2 color : ';
-$lang['llgbo_frame_bdcolor2']= 'Line 3 color : ';
-$lang['llgbo_frame_bdcolor3']= 'Line 4 color : ';
-$lang['llgbo_frame_bdcolor4']= 'Line 5 color : ';
-$lang['llgbo_frame_bdcolor5']= 'Line 6 color : ';
-$lang['llgbo_frame_bdcolor6']= 'Line 7 color : ';
-$lang['llgbo_frame_bdcolor7']= 'Line 8 color : ';
-$lang['llgbo_frame_bdcolor8']= 'Line 9 color : ';
-$lang['llgbo_frame_bdcolor9']= 'Line 10 color : ';
-$lang['llgbo_frame_bdcolor10']= 'Line 11 color : ';
-$lang['llgbo_frame_bdcolor11']= 'Line 12 color : ';
-$lang['llgbo_frame_bdcolor12']= 'Line 13 color : ';
-$lang['llgbo_frame_bdcolor13']= 'Line 14 color : ';
-$lang['llgbo_frame_bdcolor14']= 'Line 15 color : ';
-$lang['llgbo_frame_bdcolor15']= 'Line 16 color : ';
-$lang['llgbo_frame_bdsize']= 'size in px : ';
+$lang['llgo_frame_setting']= 'Frame settings:' ;
+$lang['llgbo_title_frame_color']= 'Color for the title displayed on frame';
+$lang['llgbo_frame_bdcolor0']= 'Line 1 color: ';
+$lang['llgbo_frame_bdcolor1']= 'Line 2 color: ';
+$lang['llgbo_frame_bdcolor2']= 'Line 3 color: ';
+$lang['llgbo_frame_bdcolor3']= 'Line 4 color: ';
+$lang['llgbo_frame_bdcolor4']= 'Line 5 color: ';
+$lang['llgbo_frame_bdcolor5']= 'Line 6 color: ';
+$lang['llgbo_frame_bdcolor6']= 'Line 7 color: ';
+$lang['llgbo_frame_bdcolor7']= 'Line 8 color: ';
+$lang['llgbo_frame_bdcolor8']= 'Line 9 color: ';
+$lang['llgbo_frame_bdcolor9']= 'Line 10 color:';
+$lang['llgbo_frame_bdcolor10']= 'Line 11 color: ';
+$lang['llgbo_frame_bdcolor11']= 'Line 12 color: ';
+$lang['llgbo_frame_bdcolor12']= 'Line 13 color: ';
+$lang['llgbo_frame_bdcolor13']= 'Line 14 color: ';
+$lang['llgbo_frame_bdcolor14']= 'Line 15 color: ';
+$lang['llgbo_frame_bdcolor15']= 'Line 16 color: ';
+$lang['llgbo_frame_bdsize']= 'width:';
 $lang['llgbo_M_frame'] = 'Frame management';
 $lang['llgbo_M_tooltip'] = 'Tooltip management';
 $lang['llgbo_M_manage'] = 'Global settings';
-$lang['llgbo_samples'] = 'Samples : ';
-$lang['llgbo_frame']='Manage frame around the picture :';$lang['Step4_Title'] = 'Header settings';
-$lang['llgbo_header']='Manage display header ';
-$lang['llgo_tooltip_setting']= 'Tooltip title';
-$lang['llgbo_M_header'] = 'Display Header management';
-$lang['llgbo_header_home'] = 'Header display on Home page';
-$lang['llgbo_header_category'] = 'Header display on Category page';
-$lang['llgbo_header_category_filter_recent']= 'Header display on Category page (filter by recent)';
-$lang['llgbo_header_category_flat']= 'Header display on Category page (option flat)' ;
-$lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
-$lang['llgbo_header_picture']= 'Header display on Picture page' ;
-$lang['llgbo_header_additional_page'] = 'Header display on Additional page';
-$lang['llgbo_header_most_visited'] = 'Header display on Most visited page';
-$lang['llgbo_header_best_rated'] = 'Header display on Best rated page';
-$lang['llgbo_header_list']= 'Header display on Random pictures page';
-$lang['llgbo_header_recent_pics']= 'Header display on Recents pictures page';
-$lang['llgbo_header_created_monthly_calendar'] = 'Header display on Calendar page'; 
-$lang['llgbo_header_tags']= 'Header display on Tags page'; 
-$lang['llgbo_header_search']= 'Header display on Search page';
-$lang['llgbo_header_comments']= 'Header display on Comments page';
-$lang['llgbo_header_about']= 'Header display on About page';
-$lang['llgbo_header_notification']= 'Header display on Notification page';
-$lang['llgbo_header_register'] = 'Header display on Register page';
-$lang['llgbo_header_identification']= 'Header display on identification page';
-$lang['llgbo_header_favorites']= 'Header display on My Favorites page';
-$lang['llgbo_header_recent_cats']= 'Header display on Recent category page';
+$lang['llgbo_samples'] = 'Samples: ';
+$lang['llgbo_frame']='Manage frame around the picture :';
+$lang['llgbo_header']='Manage header display';
+$lang['llgbo_M_header'] = 'Header display management';
+$lang['llgbo_header_home'] = 'Display header on Home page';
+$lang['llgbo_header_category'] = 'Display header on Category page';
+$lang['llgbo_header_category_filter_recent']= 'Display header on Category page (filter by recent)';
+$lang['llgbo_header_category_flat']= 'Display header on Category page (option flat)' ;
+$lang['llgbo_header_category_posted_monthly']= 'Display header on Category page option calendar' ;
+$lang['llgbo_header_picture']= 'Display header on Picture page' ;
+$lang['llgbo_header_additional_page'] = 'Display header on Additional pages';
+$lang['llgbo_header_most_visited'] = 'Display header on Most visited page';
+$lang['llgbo_header_best_rated'] = 'Display header on Best rated page';
+$lang['llgbo_header_list']= 'Display header on Random pictures page';
+$lang['llgbo_header_recent_pics']= 'Display header on Recents pictures page';
+$lang['llgbo_header_created_monthly_calendar'] = 'Display header on Calendar page'; 
+$lang['llgbo_header_tags']= 'Display header on Tags page'; 
+$lang['llgbo_header_search']= 'Display header on Search page';
+$lang['llgbo_header_comments']= 'Display header on Comments page';
+$lang['llgbo_header_about']= 'Display header on About page';
+$lang['llgbo_header_notification']= 'Display header on Notification page';
+$lang['llgbo_header_register'] = 'Display header on Register page';
+$lang['llgbo_header_identification']= 'Display header on identification page';
+$lang['llgbo_header_favorites']= 'Display header on My Favorites page';
+$lang['llgbo_header_recent_cats']= 'Display header on Recent category page';
 $lang['llgbo_frame_sample']= 'Samples list ';
 $lang['previewsamples']= 'Display this sample';
@@ -85,4 +84,2 @@
 
 
-
-
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4594)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4595)
@@ -9,7 +9,7 @@
 $lang['Howto'] = 'Este plugin permite modificar la presentación de la página llena de imágenes.';
 $lang['Step1_Title'] = 'Parametraje de Plugin ';
-$lang['Step2_Title'] = 'Parametraje de la burbuja info';
-$lang['Step3_Title'] = 'Parametraje del marco';
-$lang['Step4_Title'] = 'Parámetros de la burbuja info';
+/*TODO*/$lang['Step2_Title'] = 'Tooltip settings';
+/*TODO*/$lang['Step3_Title'] = 'Frame settings';
+$lang['Step4_Title'] = 'Anuncio / Máscara la marea de cada página';
 $lang['llgbo_tooltip']='Infobulles específico (miniaturas de las fotos) al sobrevuelo de los botones:';
 $lang['llgbo_exifunderbt']='Fija los EXTEJOS al sobrevuelo del botón :';
@@ -57,5 +57,4 @@
 $lang['llgbo_frame']='Administrar un marco alrededor de la imagen :';
 $lang['llgbo_header']='Administrar la fijación de la marea ';
-//$lang['llgo_tooltip_setting']= 'Tooltip title';
 $lang['llgbo_M_header'] = 'Gestión de la fijación de la marea';
 $lang['llgbo_header_home'] = 'Fijación sobre la página inicial';
@@ -80,6 +79,6 @@
 $lang['llgbo_header_favorites']= 'Fijación sobre la página Mis favoritos';
 $lang['llgbo_header_recent_cats']= 'Fijación sobre la página Últimas categorías ';
-$lang['llgbo_frame_sample']= 'Lista ejemplost ';
-$lang['previewsamples']= 'Fijar este ejemplo'; 
+/*TODO*/$lang['llgbo_frame_sample']= 'Samples list ';
+/*TODO*/$lang['previewsamples']= 'Display this sample'; 
 ?>
 
Index: /extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4594)
+++ /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4595)
@@ -11,5 +11,5 @@
 $lang['Step2_Title'] = 'Paramétrage de l\'infobulle';
 $lang['Step3_Title'] = 'Paramétrage du cadre ';
-$lang['Step4_Title']= 'Paramètres de l\'infobulle :' ;
+$lang['Step4_Title']= 'Affiche/Masque l\'entête de chaque page';
 $lang['llgbo_tooltip']='Infobulles spécifiques (miniatures des photos) au survol des boutons :';
 $lang['llgbo_exifunderbt']='Infobulles spécifiques pour les EXIFS au survol du bouton :';
@@ -57,5 +57,4 @@
 $lang['llgbo_frame']='Gérer le cadre autour de la photo';
 $lang['llgbo_header']='Gérer l\'affichage de l\'entête';
-$lang['llgo_tooltip_setting']= 'Titre de l\'info bulle';
 $lang['llgbo_M_header'] = 'Gestion de l\'affichage de l\'entête';
 $lang['llgbo_header_home'] = 'Affichage sur la page d\'Accueil';
Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4594)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4595)
@@ -18,8 +18,8 @@
 $lang['llgbo_maintain_header']='Fejléc megtartása a következő oldalakon :';
 $lang['llgbo_usemap']='Navigációs buboréksúgó a kurzor alatt :';
-$lang['llgbo_usemap_thumb']='Bélyegkép mutatása ha a kurzor a képen van és a kibővített budoréksúgó be van kapcsolva :';
+$lang['llgbo_usemap_thumb']='Bélyegkép mutatása ha a kurzor  a képen van  és <br>a kibővített budoréksúgó be van kapcsolva :';
 $lang['llgbo_info']='(^_^)Beállítások frissítve !';
 $lang['llgbo_title_frame'] = 'Megjelenjen-e a kép címe a képkereten, ha az be van kapcsolva :';
-$lang['llgbo_default_navthumb'] = 'Kikapcsolja a hagyományos nézetet?(Előző/Következő kép bélyegképének megjelenítése) :';
+$lang['llgbo_default_navthumb'] = 'Kikapcsolja a hagyományos nézetet?<br>(Előző/Következő kép bélyegképének megjelenítése) :';
 $lang['save'] = 'Mentés';
 $lang['preview'] = 'Előnézet';
@@ -32,5 +32,5 @@
 $lang['llgo_global_setting']= 'Piwigo Kép oldal általános beállítások';
 $lang['llgo_tooltip_setting']= 'Buboréksúgó beállítások';
-$lang['llgo_frame_setting']= 'Képkeret beállítások :' ;
+$lang['llgo_tooltip_setting']= 'Cím színe';
 $lang['llgbo_title_frame_color']= 'Kép címének színe a kereten';
 $lang['llgbo_frame_bdcolor0']= '1. elem színe : ';
@@ -57,5 +57,4 @@
 $lang['llgbo_frame']='Keret megjelenítése a kép körül :';
 $lang['llgbo_header']='Fejléc megjelenítésének kezelése :';
-$lang['llgo_tooltip_setting']= 'Cím színe';
 $lang['llgbo_M_header'] = 'Fejléc megjelenítés beállítások';
 $lang['llgbo_header_home'] = 'Fejléc a Nyitó oldalon';
@@ -80,6 +79,6 @@
 $lang['llgbo_header_favorites']= 'Fejléc a Kedvencek oldalon';
 $lang['llgbo_header_recent_cats']= 'Fejléc a Legfrissebb kategória oldalon';
-$lang['llgbo_frame_sample']= 'Minták listázása ';
-$lang['previewsamples']= 'Minta megtekintése';
+/*TODO*/$lang['llgbo_frame_sample']= 'Samples list ';
+/*TODO*/$lang['previewsamples']= 'Display this sample'; 
 ?>
 
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4594)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4595)
@@ -12,6 +12,6 @@
 /*TODO*/$lang['Step3_Title'] = 'Frame settings';
 /*TODO*/$lang['Step4_Title'] = 'Header  Display/Hide for each page';
-$lang['llgbo_tooltip']='Wyświetlaj okienko skrótu (miniatury dostępne na przycisku) przy ruchu myszką :';
-$lang['llgbo_exifunderbt']='Wyświetlaj okienko skrótu (dane EXIF dostępne na przycisku metadanych) przy ruchu myszką :';
+$lang['llgbo_tooltip']='Wyświetlaj okienko skrótu <br>(miniatury dostępne na przycisku) przy ruchu myszką :';
+$lang['llgbo_exifunderbt']='Wyświetlaj okienko skrótu <br>(dane EXIF dostępne na przycisku metadanych) przy ruchu myszką :';
 $lang['llgbo_frame']='Wyświetlaj białą ramkę wokół zdjęcia :';
 $lang['llgbo_header']='Nagłówek jest wyświetlany jedynie na pierwszej stronie :';
@@ -31,5 +31,5 @@
 /*TODO*/$lang['llgbo_tooltip_color']= 'Define tooltip text color';
 /*TODO*/$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
-/*TODO*/$lang['llgo_tooltip_setting']= 'Tooltip settings';
+/*TODO*/$lang['llgo_tooltip_setting']= 'Tooltip title';
 /*TODO*/$lang['llgo_frame_setting']= 'Frame settings :' ;
 /*TODO*/$lang['llgbo_title_frame_color']= 'Title frame color';
@@ -57,5 +57,4 @@
 /*TODO*/$lang['llgbo_frame']='Manage frame around the picture :';$lang['Step4_Title'] = 'Header settings';
 /*TODO*/$lang['llgbo_header']='Manage display header ';
-/*TODO*/$lang['llgo_tooltip_setting']= 'Tooltip title';
 /*TODO*/$lang['llgbo_M_header'] = 'Display Header management';
 /*TODO*/$lang['llgbo_header_home'] = 'Header display on Home page';