Index: /extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admin.php	(revision 4602)
+++ /extensions/LLGBO2/admin/llgbo_admin.php	(revision 4603)
@@ -32,4 +32,7 @@
 // Setup plugin Language
 load_language('plugin.lang', LLGBO_PATH);
+include(LLGBO_PATH.'defaultvalues.php');
+
+
 // +-----------------------------------------------------------------------+
 // |                            Tabssheet
@@ -44,7 +47,5 @@
                l10n('llgbo_M_manage'),
               $my_base_url.'&amp;tab=manage');
-$tabsheet->add('tooltip',
-               l10n('llgbo_M_tooltip'),
-               $my_base_url.'&amp;tab=tooltip');
+$disptabtooltip = 'false';
 $disptabframe = 'false';
 $disptabheader = 'false';	
@@ -54,8 +55,25 @@
 	else
 	{$disptabframe = $_POST['llgbo_frame'];}
+
+if ((!isset($_POST['llgbo_tooltip_disp'])) or (!isset($_POST['llgbo_exifunderbt']) ) or ( !isset($_POST['llgbo_usemap_thumb']) ))
+	{ if (($conf['LLGBO_SETTINGS'][1]   == 'true' ) or ($conf['LLGBO_SETTINGS'][2]  == 'true')
+  	  or ($conf['LLGBO_SETTINGS'][4]   == 'true' )) 
+	  {	$disptabtooltip = 'true';} 	}
+	else
+	{if (($_POST['llgbo_tooltip_disp']  == 'true' ) or ($_POST['llgbo_exifunderbt']  == 'true')
+  	  or ($_POST['llgbo_usemap_thumb']  == 'true' )) 
+	  {	$disptabtooltip = 'true';} 	} 
+	
+	
 if (!isset($_POST['llgbo_header'])   ) 
 	{$disptabheader = $conf['LLGBO_SETTINGS'][6] ;} 	
 	else
 	{$disptabheader = $_POST['llgbo_header'];} 
+		   
+if ($disptabtooltip == 'true'){	
+$tabsheet->add('tooltip',
+               l10n('llgbo_M_tooltip'),
+               $my_base_url.'&amp;tab=tooltip');}		   
+		   
 		   
 if (($disptabframe == 'true'))
@@ -82,5 +100,5 @@
 /* Plugin template initialisation for admin panel display */
 /* ****************************************************** */
-global $template , $conf,$lang;
+global $template , $conf,$lang; 
 {$template->assign( 'LLGBO_VERSION' , LLGBO_INFO_VERSION);}
 $me = get_plugin_data($plugin_id);
@@ -117,5 +135,6 @@
 	if (!isset($_POST['llgbo_maintain_header'])) {$_POST['llgbo_maintain_header'] = '';}
 	if (!isset($_POST['llgbo_allinfo'])) {$_POST['llgbo_allinfo'] = 'false';}
-	if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';} //9	}
+	if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';}
+	if (!isset($_POST['llgbo_always_displayexif'])) {$_POST['llgbo_always_displayexif'] = 'false';} //10	
 	 $param_llgbo = array($_POST['llgbo_frame'],
 				$_POST['llgbo_tooltip_disp'],             $_POST['llgbo_exifunderbt'],
@@ -123,5 +142,5 @@
 				$_POST['llgbo_title_frame'],			$_POST['llgbo_header'],
 				$_POST['llgbo_maintain_header'],			$_POST['llgbo_allinfo'],
-				$_POST['llgbo_default_navthumb']	
+				$_POST['llgbo_default_navthumb']	,$_POST['llgbo_always_displayexif']
 			);		 
 	$llgbo_new_value = implode ("," , $param_llgbo);
@@ -135,4 +154,6 @@
 			 $conf['LLGBO_SETTINGS'] = explode ("," ,$llgbo_new_value);
 	}
+	if ( isset($_POST['reset']) )  
+	{  $conf['LLGBO_SETTINGS'] = explode ("," ,$plugvalues);}
 
  // Reload settings for correct display after update
@@ -156,5 +177,8 @@
 	if ($conf['LLGBO_SETTINGS'][9] == 'true')
 	  {$template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => 'true'));}  else  { $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => "false"));}
-}
+	if ($conf['LLGBO_SETTINGS'][10] == 'true')
+	  {$template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => 'true'));}  else  { $template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => "false"));}
+
+	  }
 ///////////////////////////////////////////////////////////////////////////////////////
 //// TOOLTIP		
@@ -187,4 +211,8 @@
 		$conf['LLGBO_TOOLTIP'] = explode ("," ,$llgbo_newtooltip_value);
 	}
+	
+	if ( isset($_POST['reset']) )  
+	{  $conf['LLGBO_TOOLTIP'] = explode ("," ,$ttvalues);}
+	
  // Reload settings for correct display after update
  if (isset($conf['LLGBO_TOOLTIP'][0])) {$template->assign(array( 'LLGBO_TOOLTIP_WIDTH' => $conf['LLGBO_TOOLTIP'][0]));}
@@ -241,4 +269,6 @@
 		$conf['LLGBO_FRAME'] = explode ("," ,$llgbo_newframe_value );
 }
+if ( isset($_POST['reset']) )  
+	{  $conf['LLGBO_FRAME'] = explode ("," ,$frvalues );}
 if ( isset($_POST['previewsample']) )
 {  if (isset($_POST['sample'])) { //print_r($_POST);
@@ -322,4 +352,6 @@
 		$conf['LLGBO_HEADER'] = explode ("," ,$llgbo_newheader_value);
 	}
+	if ( isset($_POST['reset']) )  
+	{  $conf['LLGBO_HEADER'] = explode ("," ,$headvalues);}
  // Reload settings for correct display after update
  if (isset($conf['LLGBO_HEADER'][0])) {$template->assign(array( 'LLGBO_HEADER_HOME' => $conf['LLGBO_HEADER'][0]));}
Index: /extensions/LLGBO2/admin/llgbo_adminframe.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4602)
+++ /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4603)
@@ -89,5 +89,5 @@
 	 </table>
 	{$FRAME_END}
-<div align="center"><br> <input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" />
+<div align="center"><br><input class="submit" type="submit" value="{'Reset_To_Default'|@translate}" name="reset"/> <input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" />
  
 </div>
Index: /extensions/LLGBO2/admin/llgbo_adminheader.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 4602)
+++ /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 4603)
@@ -79,5 +79,5 @@
 </table>
 
-<div align="center"><br><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
+<div align="center"><br><input class="submit" type="submit" value="{'Reset_To_Default'|@translate}" name="reset"/><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
 </fieldset>
 </form>
Index: /extensions/LLGBO2/admin/llgbo_adminsettings.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 4602)
+++ /extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 4603)
@@ -17,6 +17,10 @@
 	<td class="llgbolabel">{'llgbo_tooltip'|@translate}</td> 
 	<td class="llgboinput">{html_radios name='llgbo_tooltip_disp' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_TOOLTIP_DISP}</td>
-  </tr>
-  <tr>
+   </tr>
+    <tr>
+   <td class="llgbolabel">{'llgbo_always_displayexif'|@translate} </td>
+   <td class="llgboinput">{html_radios name='llgbo_always_displayexif' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_ALWAYS_DISPLAYEXIF}</td>
+   </tr
+   <tr>
 		<td class="llgbolabel">{'llgbo_exifunderbt'|@translate}</td>
 		<td class="llgboinput">	{html_radios name='llgbo_exifunderbt' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_EXIFUNDERBT}</td>
@@ -44,5 +48,5 @@
 </table>
 
-<div align="center"><br><br><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
+<div align="center"><br><br><input class="submit" type="submit" value="{'Reset_To_Default'|@translate}" name="reset"/> <input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
 </fieldset>
 </form>
Index: /extensions/LLGBO2/admin/llgbo_admintooltip.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 4602)
+++ /extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 4603)
@@ -38,5 +38,5 @@
 </div>
 
-<div align="center"><br><br><input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" /></div>
+<div align="center"><br><br><input class="submit" type="submit" value="{'Reset_To_Default'|@translate}" name="reset"/> <input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" /></div>
 </fieldset>
 </form>
Index: /extensions/LLGBO2/defaultvalues.php
===================================================================
--- /extensions/LLGBO2/defaultvalues.php	(revision 4603)
+++ /extensions/LLGBO2/defaultvalues.php	(revision 4603)
@@ -0,0 +1,9 @@
+<?php
+
+// valeurs par défaut 
+$plugvalues = "false,true,true,true,true,true,false,theAboutPage;theTagsPage;theCommentsPage;theIdentificationPage;theAdminPage,true,true,flase";
+$ttvalues = "150,2,#fff,#000,#c92,#dadada";
+$frvalues = "#16195f,#ffffff,3,#040404,1,#ffffff,7,#ffffff,1,#fdfdfd,1,#fcfcfc,1,#fafafa,1,#eaeaea,1,#d3d3d3,1,#bababa,1,#9f9f9f,1,#858585,1,#777777,1,#646464,1,#575757,1,#474747,1";
+$headvalues = "true,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true";
+
+?>
Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4602)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 4603)
@@ -81,5 +81,5 @@
 $lang['llgbo_frame_sample']= 'Samples list ';
 $lang['previewsamples']= 'Display this sample';
+$lang['llgbo_always_displayexif'] = 'Always display METADATA:' ;
+$lang['Reset_To_Default'] = 'Reset to default values';
 ?>
-
-
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4602)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 4603)
@@ -81,7 +81,5 @@
 $lang['llgbo_frame_sample']= 'Lista ejemplost ';
 $lang['previewsamples']= 'Fijar este ejemplo';
+$lang['llgbo_always_displayexif'] = 'Siempre fijar el METADATA:' ;
+/* TODO */$lang['Reset_To_Default'] = 'Restaurar los valores por defecto';
 ?>
-
-
-
-
Index: /extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4602)
+++ /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 4603)
@@ -81,7 +81,5 @@
 $lang['llgbo_frame_sample']= 'Liste des exemples ';
 $lang['previewsamples']= 'Afficher cet exemple';
+$lang['llgbo_always_displayexif'] = 'Toujours afficher les Metadata:' ;
+$lang['Reset_To_Default'] = 'Rétablir les valeurs par défaut';
 ?>
-
-
-
-
Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4602)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 4603)
@@ -81,7 +81,4 @@
 $lang['llgbo_frame_sample']= 'Minták listázása ';
 $lang['previewsamples']= 'Minta megtekintése'; 
+$lang['llgbo_always_displayexif'] = 'Mindig megjelenő METAADATOK (EXIF):' ;
 ?>
-
-
-
-
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4602)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 4603)
@@ -81,7 +81,5 @@
 /*TODO*/$lang['llgbo_frame_sample']= 'Samples list ';
 /*TODO*/$lang['previewsamples']= 'Display this sample';
+$lang['llgbo_always_displayexif'] = 'Zawsze wyświetlaj metadane:' ;
+/* TODO */$lang['Reset_To_Default'] = 'Przywróć wartości domyślne';
 ?>
-
-
-
-
Index: /extensions/LLGBO2/main.inc.php
===================================================================
--- /extensions/LLGBO2/main.inc.php	(revision 4602)
+++ /extensions/LLGBO2/main.inc.php	(revision 4603)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Look_like_gbo2 
-Version:  2.0.J
+Version:  2.0.H
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=251
 Author: Ex-Ftb  
@@ -12,4 +12,5 @@
  /* 2.0.e  fix notice with redirec.tpl     */ 
  /* 2.0.f  Tooltip and frame  define by plugin vs Css*/
+ /* 2.0.g  always display metadata + maintain IPTC */ 
  /* 2.0.h new languages PL, ES, HU */ 
  /* 2.0.i Manage tab for tooltip and frame settings */
@@ -18,7 +19,9 @@
 /* création d'une instance de la classe   */
 $obj = new look_like_gbo(); /* class loading */
-global $conf,$ttvalues,$plugvalues,$frvalues; 
-define ('LLGBO_INFO_VERSION','2.0.J');
-define('LLGBO_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+global $conf; 
+
+define ('LLGBO_INFO_VERSION','2.0.H');
+if (!defined('LLGBO_PATH'))
+{define('LLGBO_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');}
 	 
  $conf['LLGBO_SETTINGS'] =  explode("," , $conf['LLGBO']);
@@ -36,5 +39,6 @@
           'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/llgbo_admin.php') ));
     return $menu;  }
-	
+
+
 /* always display metadata */
 function AutoDisplayMetadata()
@@ -42,4 +46,8 @@
 	 If ($conf['LLGBO_SETTINGS'] [2]  == 'true' )  // exif under bt
 	{$_GET['metadata'] = 'O';}
+	
+	If ($conf['LLGBO_SETTINGS'][10]  == 'true' )  //always display metadata
+	{if ( pwg_get_session_var('show_metadata') == null )
+		{  pwg_set_session_var('show_metadata', 1 );}}
 }
  
@@ -248,3 +256,28 @@
 add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') );
 set_plugin_data($plugin['id'], $obj);
+function afficher_tableau($tableau) 
+    {
+    // on fait une boucle qui lit les éléments du tableau
+    foreach ($tableau as $cle=>$valeur) 
+        {
+        // si l'un des éléments est lui même un tableau
+        // alors on applique la fonction à ce tableau
+        if(is_array($valeur)) 
+            {
+            // on affiche le nom de la clé et
+            // le début d'une liste pour
+            //  décaler le contenu vers la droite
+            print_r ($cle);
+			 echo  ' : <ul>'; 
+            
+            // ici se réalise la récursivité
+            // c'est à dire qu'on applique la fonction
+            // à l'élément en cours car c'est lui aussi un tableau
+            afficher_tableau($valeur); 
+            
+            // on ferme la liste
+            echo '</ul>'; 
+            }
+        } 
+    }
 ?>
Index: /extensions/LLGBO2/maintain.inc.php
===================================================================
--- /extensions/LLGBO2/maintain.inc.php	(revision 4602)
+++ /extensions/LLGBO2/maintain.inc.php	(revision 4603)
@@ -30,5 +30,8 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 function plugin_install()
-{  global $prefixeTable,$conf,$ttvalues,$plugvalues,$frvalues,$headvalues; 
+{  global $prefixeTable,$conf; 
+if (!defined('LLGBO_PATH'))
+{define('LLGBO_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');}
+include(LLGBO_PATH.'defaultvalues.php');
   plugin_uninstall(); // en cas de mauvaise deinstallation anterieure
 	$q = '
@@ -60,14 +63,10 @@
 }
 function plugin_activate()
-{ global $prefixeTable,$conf,$ttvalues,$plugvalues,$frvalues,$headvalues; 
+{ global $prefixeTable,$conf; 
  ///////////////////////////////////////////////////
 // Vérification de la config, si pas bon -> reinstallation
-$plugvalues = "true,true,true,true,true,true,true,theAboutPage;theTagsPage;theCommentsPage;theIdentificationPage;theAdminPage,true,true";
-$ttvalues = "150,2,#fff,#000,#c92,#dadada";
-$frvalues = "#16195f,#ffffff,3,#040404,1,#ffffff,7,#ffffff,1,#fdfdfd,1,#fcfcfc,1,#fafafa,1,#eaeaea,1,#d3d3d3,1,#bababa,1,#9f9f9f,1,#858585,1,#777777,1,#646464,1,#575757,1,#474747,1";
-$headvalues = "true,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true";
 
 //
- if ( (!isset($conf['LLGBO'])) or (substr_count($conf['LLGBO'], ',')  != 9)  
+ if ( (!isset($conf['LLGBO'])) or (substr_count($conf['LLGBO'], ',')  != 10)  
  or  (!isset($conf['LLGBOTOOLTIP'])) or (substr_count($conf['LLGBOTOOLTIP'], ',')  != 5) 
  or  (!isset($conf['LLGBOFRAME'])) or (substr_count($conf['LLGBOFRAME'], ',')  != 32)