Index: /extensions/event_cats/language/en_UK/description.txt
===================================================================
--- /extensions/event_cats/language/en_UK/description.txt	(revision 4612)
+++ /extensions/event_cats/language/en_UK/description.txt	(revision 4613)
@@ -1,1 +1,1 @@
-Allows login in a gallery without providing username and password, and allows registration having immediately access to private category. 
+Allows login in a gallery without providing username and password, and allows registration having immediately access to private category.  
Index: /extensions/event_cats/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 4612)
+++ /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 4613)
@@ -10,5 +10,5 @@
 
 // Convenient
-$t_ap1                             = 'Open a new window on plugin Additional Pages';
+$t_ap1                             = 'Open a new window in plugin Additional Pages';
 $t_ap2                             = '<a href = "http://fr.piwigo.org/ext/extension_view.php?eid=153" title = "'.$t_ap1.'" onClick = "window.open(this.href); return false;">Additional Pages</a>';
 
@@ -19,5 +19,5 @@
 // "Header"
 $lang['Admin page title']          = 'Event Categories';
-$lang['Acknowledgement']           = 'the purpose of this extension is to allow automatic log in of an account ("autolog"), and duplication of the account with which the visitor is currently logged in ("duplication").<br /><br />Many thanks to the Forum, plg, ddtddt, flipflip, VDigital, Gotcha for the tests, P@t for the main code :-) !';
+$lang['Acknowledgement']           = 'the purpose of this extension is to allow automatic logging of an account ("autolog"), and duplication of the account with which the visitor is currently logged in ("duplication").<br /><br />Many thanks to the Forum, plg, ddtddt, flipflip, VDigital, Gotcha for the tests, P@t for the main code :-) !';
 $lang['JS needed']                 = 'Javascript MUST be activated for this page to work properly !';
 $lang['Show']                      = 'show';
@@ -28,10 +28,10 @@
 $lang['Additional Pages inactive'] = $t_ap2.' plugin (display a text page) : not activated';
 $lang['Autolog entries']           = '"Autolog" entries';
-$lang['Place title on top ttip']   = 'Head this page on this title';
+$lang['Place title on top ttip']   = 'Display this title in the head of the page';
 // Table
 $lang['Entry']                     = 'Entry';
 $lang['Code']                      = 'Code';
 $lang['Username']                  = 'Username';
-$lang['Identification']            = 'Identified ?';
+$lang['Identification']            = 'Identification?';
 $lang['Displayed page']            = 'Displayed page';
 $lang['Tools']                     = 'Tools';
@@ -41,5 +41,5 @@
 $lang['Delete']                    = 'Delete';
 $lang['Modify']                    = 'Modify';
-$lang['Copy URL ttip']             = 'Copy this link, to be allowed to communicate it';
+$lang['Copy URL ttip']             = 'Copy this link, in order to transmit it';
 $lang['Test URL ttip']             = 'Test the URL ( => admin. session terminated)';
 $lang['Delete entry ttip']         = 'Delete entry';
@@ -54,5 +54,5 @@
 $lang['Modify entry title']        = 'Modification of an "autolog" parameter entry';
 $lang['New entry']                 = 'New entry';
-$lang['Full auto']                 = 'Full auto (select a displayed page first)';
+$lang['Full auto']                 = 'Full auto (select first a page to display)';
 $lang['New code']                  = 'New code :';
 $lang['Auto code button']          = 'Generate a code';
@@ -66,10 +66,10 @@
 $lang['Identified user']           = 'Identified user';
 $lang['No user']                   = 'None (outdated entry)';
-$lang['New generic user']          = 'New user (generic) :';
+$lang['New generic user']          = 'New user (create a generic account):';
 $lang['New username']              = 'Username';
 $lang['New password']              = 'Password';
 $lang['Confirm password']          = 'Confirm pwd :';
 $lang['New group']                 = 'New group';
-$lang['Generate username']         = 'Generate a username (select a displayed page first)';
+$lang['Generate username']         = 'Generate a username (select first a page to display)';
 $lang['Existing user']             = 'Existing user :';
 $lang['Displayed page']            = 'Displayed page';
@@ -83,21 +83,21 @@
 // Duplication page
 $lang['Configuration']             = 'Configuration';
-$lang['Types']                     = 'Useres types';
-$lang['Duplication allowance']     = 'Duplication allowance';
+$lang['Types']                     = 'Users types';
+$lang['Duplication allowance']     = 'Allow duplication';
 $lang['No account']                = 'No account';
-$lang['Selection per group']       = 'Per group selection';
+$lang['Selection per group']       = 'Selection by group';
 $lang['All accounts']              = 'All accounts';
-$lang['Register replacement']      = 'Register link :%1$s for all accounts which can be duplicated,%1$s replace "%2$s" with "%3$s"';
+$lang['Register replacement']      = 'Register link :%1$s for all accounts that can be duplicated,%1$s replace "%2$s" with "%3$s"';
                                  // %1$s : nice line feed ; %2$s : "register" ; %3$s : "duplicate"
 $lang['All but generics']          = 'All accounts but generic ones';
 $lang['Duplication allowed']       = 'Duplication allowed';
-$lang['Dup. allowed tks to']       = 'Duplication allowed thanks to groups and types belonging';
+$lang['Dup. allowed tks to']       = 'Duplication allowed thanks to groups and types membership';
 $lang['Duplication denied']        = 'Duplication denied';
 $lang['Deny to groups btn']        = 'Deny duplication to selected groups';
-$lang['Grant to groups btn']       = 'Grant selected groups to duplication';
+$lang['Grant to groups btn']       = 'Grant groups to selected groups';
 $lang['Deny to types btn']         = 'Deny duplication to selected types';
-$lang['Grant to types btn']        = 'Grant selected types to duplication';
+$lang['Grant to types btn']        = 'Grant duplication to selected types';
 $lang['Deny to users btn']         = 'Deny duplication to selected users';
-$lang['Grant to users btn']        = 'Grant selected users to duplication';
+$lang['Grant to users btn']        = 'Grant duplication to selected users';
 $lang['Save dup. config btn']      = 'Save duplication configuration';
 
@@ -105,12 +105,12 @@
 $lang['Duplication']               = 'Duplication';
 $lang['Unknown code']              = 'Unknown code';
-$lang['Page for unknown code']     = 'Displayed page in case of an unknown code';
+$lang['Page for unknown code']     = 'Page display when an "autolog0 code is unknown"';
 $lang['Other']                     = 'Other';
-$lang['Comments display']          = 'Comments display';
+$lang['Comments display']          = 'Display comments';
 $lang['As tooltip']                = 'As tooltip';
 $lang['In a row']                  = 'In a row';
 $lang['Help banner']               = 'Help banner';
 $lang['Banner on']                 = 'Activated';
-$lang['Banner off']                = 'Not activated';
+$lang['Banner off']                = 'Desactivated';
 $lang['Display connection']        = 'Display "%2$s" link%1$s to generic users';
                                  // %1$s : nice line feed ; %2$s : "Connection"
@@ -119,20 +119,20 @@
 $lang['ec_confirm_test']           = "Really test the selected code ?\n\rThis will terminate your administration session.";
 $lang['ec_confirm_delete']         = "Do you really want to delete the selected entry ?";
-$lang['ec_confirm_disable']        = "Do you really want to make the selected entry outdated ?\n\rThis will delete all other entries using the same code, if there is any.";
-$lang['ec_confirm_force']          = "Do you really want to force the displayed page for the selected entry ?\n\rThis will delete all other entries using the same code, if there is any.";
-$lang['ec_confirm_del_other']      = "This will delete all other entries using the same code, if there is any.\n\rOK ?";
-$lang['ec_confirm_change_user']    = "Change username will delete\n\rall other entries using the same code, if there is any. OK ?";
-$lang['ec_gen_user_act_miss']      = "Select a page to display, first";
-$lang['ec_act_img_miss']           = "An image identifier must be a number.";
-$lang['ec_submit_code_miss']       = "You have to provide a code.";
-$lang['ec_submit_code_bad']        = "A code must be between 4 and 32 digits included in [a-zA-Z0-9_-].";
-$lang['ec_submit_user_miss']       = "You have to provide a username.";
-$lang['ec_submit_action_miss']     = "You have to provide a displayed page.";
-$lang['ec_clk_entry_miss']         = "Select an entry, first.";
+$lang['ec_confirm_disable']        = "Do you really want to make the selected entry outdated ?\n\rThis will delete all other entries using the same code, if any.";
+$lang['ec_confirm_force']          = "Do you really want to force the displayed page for the selected entry ?\n\rThis will delete all other entries using the same code, if any.";
+$lang['ec_confirm_del_other']      = "This will delete all other entries using the same code, if any.\n\rOK?";
+$lang['ec_confirm_change_user']    = "Username modification will delete\n\rall other entries using the same code, if any. OK?";
+$lang['ec_gen_user_act_miss']      = "Select first a page to display";
+$lang['ec_act_img_miss']           = "The image identifier must be a number.";
+$lang['ec_submit_code_miss']       = "You must provide a code.";
+$lang['ec_submit_code_bad']        = "A code comprise from 4 to 32 digits included in [a-zA-Z0-9_-].";
+$lang['ec_submit_user_miss']       = "You must provide a username.";
+$lang['ec_submit_action_miss']     = "You must provide a page to display.";
+$lang['ec_clk_entry_miss']         = "Select an entry first.";
 $lang['ec_code_already_exists']    = "This code already exists.";
 $lang['ec_user_already_exists']    = "This username already exists.";
 $lang['ec_conf_pwd_dont_match']    = "The password is not properly confirmed.";
-$lang['ec_new_pwd_gen']            = "Don\'t forget to MARK the password !";
-$lang['ec_act_cat_miss']           = "Category ?";
+$lang['ec_new_pwd_gen']            = "Don\'t forget to write the password down!";
+$lang['ec_act_cat_miss']           = "Category?";
 
 
@@ -161,12 +161,12 @@
 $lang['ec_action_pb']              = 'field "action" corrupted (different values in entries using the same code)';
 $lang['ec_username_pb']            = 'field "user_id" corrupted (different values in entries using the same code)';
-$lang['ec_username_miss']          = 'user (probablement supprimé)';
+$lang['ec_username_miss']          = 'user doesn\'t exist (probablyt deleted)';
 $lang['ec_category_miss']          = 'category doesn\'t exist (probably deleted)';
 $lang['ec_image_miss']             = 'image doesn\'t exist (probably deleted)';
 $lang['ec_add_page_miss']          = 'Additional Pages page doesn\'t exist (probably deleted)';
-$lang['ec_entry_del_nok']          = 'Problem deleting entry %s : ';
-$lang['ec_user_create_pb']         = 'Impossible to create new user';
-$lang['ec_user_generic_pb']        = 'Problem making user "%s" generic';
-$lang['ec_group_create_pb']        = 'Impossible to create group "%s"';
+$lang['ec_entry_del_nok']          = 'Problem when deleting entry %s : ';
+$lang['ec_user_create_pb']         = 'New user creation impossible';
+$lang['ec_user_generic_pb']        = 'Problem when making user "%s" generic';
+$lang['ec_group_create_pb']        = 'Group "%s" creation impossible';
 $lang['ec_user_access_AP']         = 'Take care that user "%2$s" is allowed on Additional Pages page "%1$s".';
 $lang['ec_entry_create_pb']        = 'Entry creation impossible';
@@ -205,23 +205,23 @@
 // Help banner
 // Entries tab
-$lang['ec_help_banner1_entries']   = '<ul><li style = "list-style-image:url(plugins/event_cats/icon/disable.png);"><span class = "help_b">Make entry outdated</span>: to make a code unusable any more, but with a customized message;</li><li style = "list-style-image:url(plugins/event_cats/icon/nforced.png);"><span class = "help_b">Force</span>: to make impossible to reach other pages by modifying the URL;<li style = "list-style-image:url(plugins/event_cats/icon/forced.png);"><span class = "help_b">Don\'t force</span>: to be able to use the same code to reach different pages;</li><li style = "list-style-image:url(plugins/event_cats/icon/duplicate.png);"><span class = "help_b">Copy</span>: to create a new entry using the same code but heading to a different page;</li><li style = "list-style-image:url(plugins/event_cats/icon/url2.png);"><span class = "help_b">Test</span>: to check whether it works or not ;-)&nbsp;;</li><li style = "list-style-image:url(plugins/event_cats/icon/delete.png);"><span class = "help_b">Delete</span>: Delete entry;</li><li style = "list-style-image:url(plugins/event_cats/icon/modify.png);"><span class = "help_b">Modify</span>: Modify entry.</ul>';
+$lang['ec_help_banner1_entries']   = '<ul><li style = "list-style-image:url(plugins/event_cats/icon/disable.png);"><span class = "help_b">Make entry outdated</span>: to make a code not usable any more, but with a customized message;</li><li style = "list-style-image:url(plugins/event_cats/icon/nforced.png);"><span class = "help_b">Force</span>: to prevent users from accessing to other pages by modifying the URL;<li style = "list-style-image:url(plugins/event_cats/icon/forced.png);"><span class = "help_b">Don\'t force</span>: to be able to use the same code to reach different pages;</li><li style = "list-style-image:url(plugins/event_cats/icon/duplicate.png);"><span class = "help_b">Copy</span>: to create a new entry using the same code, but heading to a different page;</li><li style = "list-style-image:url(plugins/event_cats/icon/url2.png);"><span class = "help_b">Test</span>: to check it works;-)&nbsp;;</li><li style = "list-style-image:url(plugins/event_cats/icon/delete.png);"><span class = "help_b">Delete</span>: Delete entry;</li><li style = "list-style-image:url(plugins/event_cats/icon/modify.png);"><span class = "help_b">Modify</span>: Modify entry.</ul>';
 
 // New entry tab, general case
-$lang['ec_help_banner1_new_c']   = 'Link here a <span class = "help_bi">code</span> to an <span class = "help_bi">identified user</span> and to a <span class = "help_bi">displayed page</span>; it will create a corresponding URL in tab "Autolog entries", and you will then be able to copy and transmit it to concerned people. (It is too complicated, too heavy to provide here a list of all images, thus you must mark an image identifier ("<span class = "help_b">Image id</span>"), if you want to use this field.) <span class = "help_b">Generate a username</span> and <span class = "help_b">Full auto</span>: select a <span class = "help_bi">displayed page</span> first, as the username creation is based on the name of this page. <span class = "help_b">Comment</span>: memo, personal note, visible only in administration part. <span class = "help_b">Existing code</span>: to use the same code to identify the same account, making it head to another displayed page. Displayed page <span class = "help_b">Forced</span>: to impose the displayed page whatever are the parameters <span class = "help_bi">&cat=</span>, <span class = "help_bi">&img=</span>, <span class = "help_bi">&ap=</span> in the URL.';
+$lang['ec_help_banner1_new_c']   = 'Link a <span class = "help_bi">code</span> to an <span class = "help_bi">identified user</span> and to a <span class = "help_bi">displayed page</span>; it will create a corresponding URL in the "Autolog entries" tab, so you will be able to copy and transmit it to people involved. (It is too complicated, too heavy to provide here a list of all images, thus you must write down the image identifier ("<span class = "help_b">Image id</span>"), if you want to use this field.) <span class = "help_b">Generate a username</span> and <span class = "help_b">Full auto</span>: select first a <span class = "help_bi">page to display</span>, as the username is based on the name of this page. <span class = "help_b">Comment</span>: memo, personal note, visible only in the administration part. <span class = "help_b">Existing code</span>: to use the same code to identify the same account, but redirect it to another page. Displayed page <span class = "help_b">Forced</span>: to impose the displayed page whatever are the parameters <span class = "help_bi">&cat=</span>, <span class = "help_bi">&img=</span>, <span class = "help_bi">&ap=</span> in the URL.';
 
 // New entry tab, "copy an entry" (duplicate entry) case
-$lang['ec_help_banner2_new_c']     = 'Copy an entry to use the same <span class = "help_bi">code</span> (of course associated to the same <span class = "help_bi">identified user</span>), and head the account to a different <span class = "help_bi">displayed page</span>, to provide access to another event (thus a different category) to the same group of people for which you had alreday created an entry. <span class = "help_b">Reset</span> to come back to a "normal" entry creation.';
+$lang['ec_help_banner2_new_c']     = 'Copy an entry to associate the same <span class = "help_bi">code</span> (still linked to the same <span class = "help_bi">identified user</span>), to a different <span class = "help_bi">displayed page</span>, for example to provide access to another event (thus a different category) for the same group of people  you already have created an entry. <span class = "help_b">Reset</span> to come back to a "normal" entry creation.';
 
 // Modify entry tab, general case
-$lang['ec_help_banner1_new_m']     = 'Select a <span class = "help_bi">code</span> to change its <span class = "help_bi">identified user</span> and&nbsp;/&nbsp;or its <span class = "help_bi">displayed page</span>. If you <span class = "help_b">force</span> the displayed page, or change the identified user, other entries using the same code will be deleted. Choosing <span class = "help_b">None</span> as identified user, or <span class = "help_b">Access denied</span> as displayed page, makes the entry "outdated" : no identification, but you can display a personalized page to give an explanation. To <span class = "help_b">generate a username</span>, select the <span class = "help_bi">displayed page</span> first, as the username is built thanks to the name of the displayed page.';
+$lang['ec_help_banner1_new_m']     = 'Select a <span class = "help_bi">code</span> to change the corresponding <span class = "help_bi">identified user</span> and&nbsp;/&nbsp;or the <span class = "help_bi">page to be displayed</span>. If you <span class = "help_b">force</span> the page to be displayed, or change the identified user, other entries using the same code will be deleted. Choosing <span class = "help_b">None</span> as identified user, or <span class = "help_b">Access denied</span> as page to display, will render the entry "outdated" : no identification, but you can display a personalized page to give an explanation. To <span class = "help_b">generate a username</span>, select first the <span class = "help_bi">page to display</span>, as the username based on the name of the page to display.';
 
 // Modify entry tab, disable case
-$lang['ec_help_banner2_new_m']     = 'Log in an account not requiring the username and the password, is obvisously not secured. Thus is it better to not let active too much time an "autolog" code, it can be used an unwanted way. To make an entry outdated allows to display an explicative message thanks to an Additional Page. You can also use the plugin <a href = "http://piwigo.org/ext/extension_view.php?eid=190" title = "Open a new window on plugin PWG Stuffs" onClick = "window.open(this.href); return false;">PWG Stuffs</a> to display messages on index and picture pages. <span class = "help_b">Reset</span> to combe back to a "normal" code modification.';
+$lang['ec_help_banner2_new_m']     = 'Logging an account that doesn\'t not require username nor password is obvisously insecured. Thus, it is better to not let an "autolog" code active for too long, as it can be misused. To make an entry outdated allows to display an explaining message with an Additional Page. You can also use the plugin <a href = "http://piwigo.org/ext/extension_view.php?eid=190" title = "Open a new window on plugin PWG Stuffs" onClick = "window.open(this.href); return false;">PWG Stuffs</a> to display messages on index and picture pages. <span class = "help_b">Reset</span> to come back to a "normal" code modification.';
 
 // Duplicate tab
-$lang['ec_help_banner1_duplic']    = '<span class = "help_i">Duplicate an account</span> when a user is already identified, creates another account having exactly the same permissions: no need to wait for an administrator\'s validation. Select the <span class = "help_bi">groups</span>, <span class = "help_bi">types</span>, and&nbsp;/&nbsp;or directly <span class = "help_bi">users</span> allowed to duplicate their account. Display "<span class = "help_b">Register</span>" to the generic accounts so that duplication is not noticed to them (see <a href="popuphelp.php?page=help" onclick="popuphelp(this.href); return false;" title="Help"><img src="admin/template/goto/theme/clear/icon/help.png" class="button" alt="(?)">&nbsp;help page</a> for more details).';
+$lang['ec_help_banner1_duplic']    = '<span class = "help_i">Duplicate an account</span> when a user is already identified, creates another account with exactly the same permissions: no need to wait for an administrator\'s validation. Select the <span class = "help_bi">groups</span>, <span class = "help_bi">types</span>, and&nbsp;/&nbsp;or directly <span class = "help_bi">users</span> allowed to duplicate their account. Display "<span class = "help_b">Register</span>" to generic accounts so that duplication get unnoticed to them (see <a href="popuphelp.php?page=help" onclick="popuphelp(this.href); return false;" title="Help"><img src="admin/template/goto/theme/clear/icon/help.png" class="button" alt="(?)">&nbsp;help page</a> for more details).';
 
 // Configuration tab
-$lang['ec_help_banner1_config']    = '<span class = "help_i">Duplicate an account</span> when a user is already identified, creates another account having exactly the same permissions: no need to wait for an administrator\'s validation.&nbsp;&#151; Select the page you want to be displayed in case of an unknown code usage (for instance, a code you have deleted).&nbsp;&#151; In the "Autolog entries" tab, the comments can be displayed as tooltips, or on a new line under the code.&nbsp;&#151; As you\'re currently reading it, the help banner is currently active ;-) !&nbsp;&#151; Displaying the "Connection" link to generic users, allows users already registered on your gallery to log in easily.';
+$lang['ec_help_banner1_config']    = '<span class = "help_i">Duplicate an account</span> when a user is already identified, creates another account having exactly the same permissions: no need to wait for an administrator\'s validation.&nbsp;&#151; Select the page you want to be displayed in case of an unknown code usage (for instance, a code you have deleted).&nbsp;&#151; In the "Autolog entries" tab, the comments can be displayed as tooltips, or on a new line under the code.&nbsp;&#151; As you\'re currently reading it, the help banner is currently active ;-) !&nbsp;&#151; Display the "Connection" link to generic users, allows users already registered on your gallery to log in easily.';
 
 