Index: /extensions/pLoader/trunk/locale/cs_CZ/gs.html
===================================================================
--- /extensions/pLoader/trunk/locale/cs_CZ/gs.html	(revision 4615)
+++ /extensions/pLoader/trunk/locale/cs_CZ/gs.html	(revision 4615)
@@ -0,0 +1,23 @@
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+</head>
+<body text="#E15918" link="#E15918">
+    <font size=5 face="verdana, arial">
+    <img src="../res/piwigo_logo.png" />
+    <br />
+    <br />
+    Vyberte odkaz níže pro zahájení práce s aplikací pLoader.
+    <br />
+    <br />
+    <br />
+    1. <a href="new_album">Přidat nové album.</a>
+    <br />
+    <br />
+    2. <a href="add_photos">Přidat fotky do výběru.</a>
+    <br />
+    <br />
+    3. <a href="upload_photos">Nahrát vybrané fotky na web.</a>
+    </font>
+</body>
+</html>
Index: /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po	(revision 4615)
+++ /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po	(revision 4615)
@@ -0,0 +1,471 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Piwigo pLoader\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-06-16 09:54+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: noname <noorg>\n"
+"Language-Team: Piwigo team <team@piwigo.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Basepath: .\n"
+"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
+"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+
+msgid "Select photos for upload"
+msgstr "Vyberte fotky k odeslání"
+
+msgid "JPEG files"
+msgstr "JPEG soubory"
+
+msgid "Default author :"
+msgstr "Přednastavený autor :"
+
+msgid "Foto prefix :"
+msgstr "Foto prefix :"
+
+msgid "Site thumbnail size :"
+msgstr "Web velikost náhledu :"
+
+msgid "Site image width :"
+msgstr "Web obr.šířka :"
+
+msgid "Site image height :"
+msgstr "Web obr.výška :"
+
+msgid "Auto rotate image :"
+msgstr "Auto rotace fotek :"
+
+msgid "Upload high (original size) "
+msgstr "Upload ve vysokém rozl. (original size) "
+
+msgid "Yes"
+msgstr "Ano"
+
+msgid "No"
+msgstr "Ne"
+
+msgid "Admin. username :"
+msgstr "Admin. jméno :"
+
+msgid "Admin. password :"
+msgstr "Admin. heslo :"
+
+msgid "OK"
+msgstr "OK"
+
+msgid "Cancel"
+msgstr "Zrušit"
+
+msgid "Create date :"
+msgstr "Vytvořeno dne :"
+
+msgid "Width :"
+msgstr "Šířka :"
+
+msgid "Height :"
+msgstr "Výška :"
+
+msgid "Orientation :"
+msgstr "Orientace :"
+
+msgid "Shutter speed :"
+msgstr "Shutter speed :"
+
+msgid "Aperture :"
+msgstr "Aperture :"
+
+msgid "Focal length :"
+msgstr "Focal length :"
+
+msgid "Model :"
+msgstr "Model :"
+
+msgid "Lens :"
+msgstr "Objektiv :"
+
+msgid "Author :"
+msgstr "Autor :"
+
+msgid "Comment :"
+msgstr "Komentář :"
+
+msgid "Chinese"
+msgstr "Chinese"
+
+msgid "Chinese simplified"
+msgstr "Chinese simplified"
+
+msgid "Czech"
+msgstr "Česky"
+
+msgid "Danish"
+msgstr "Dánsky"
+
+msgid "English"
+msgstr "English"
+
+msgid "German"
+msgstr "German"
+
+msgid "Spanish"
+msgstr "Spanish"
+
+msgid "French"
+msgstr "French"
+
+msgid "Hungarian"
+msgstr "Maďarsky"
+
+msgid "Italian"
+msgstr "Italsky"
+
+msgid "Japanese"
+msgstr "Japonsky"
+
+msgid "Dutch"
+msgstr "Holandsky"
+
+msgid "Polish"
+msgstr "Polsky"
+
+msgid "Portuguese Brazil"
+msgstr "Portuguese Brazil"
+
+msgid "Portuguese Portugal"
+msgstr "Portuguese Portugal"
+
+msgid "Russian"
+msgstr "Rusky"
+
+msgid "Slovak"
+msgstr "Slovesky"
+
+msgid "Brasil"
+msgstr "Brazilsky"
+
+msgid "pLoader needs to be restarted to display the new selected language"
+msgstr "Aplikace pLoader musí být pro změnu jazyka ukončena a znovu spuštěna"
+
+msgid "Piwigo categories"
+msgstr "Piwigo Kategorie"
+
+msgid "Photo properties"
+msgstr "Parametry Fotek"
+
+msgid "Tools"
+msgstr "Nástroje"
+
+msgid "Global settings"
+msgstr "Globální nastavení"
+
+msgid "Advanced"
+msgstr "Pokročilé"
+
+msgid "Transfert chunk size :"
+msgstr "Transfert chunk size :"
+
+msgid "General"
+msgstr "Hlavní"
+
+msgid "Resized"
+msgstr "Resized"
+
+msgid "Thumbnail"
+msgstr "Náhled"
+
+msgid "Preview"
+msgstr "Ukázka"
+
+msgid "Photo selection"
+msgstr "Výběr fotek"
+
+msgid "Language choice"
+msgstr "Výběr jazyka"
+
+msgid "Choose a language"
+msgstr "Vyber překlad"
+
+msgid "Upload to Piwigo"
+msgstr "Upload na web"
+
+msgid "Remove photo from selection"
+msgstr "Odeber foto z výběru"
+
+msgid "Add photo to selection"
+msgstr "Přidat foto do výběru"
+
+msgid "Not connected"
+msgstr "Spojení nenavázáno"
+
+msgid "Connection to"
+msgstr "Připojeno k"
+
+msgid "failed"
+msgstr "Chyba"
+
+msgid "Piwigo login"
+msgstr "Piwigo login"
+
+msgid "Piwigo login error"
+msgstr "Piwigo login chyba"
+
+msgid "Please select a valid target category"
+msgstr "Vyberte existující kategorii"
+
+msgid "Piwigo upload error"
+msgstr "Piwigo Upload chyba"
+
+msgid "Category name :"
+msgstr "Název kategorie :"
+
+msgid "Add new category"
+msgstr "Přidej novou kategorii"
+
+msgid "New category"
+msgstr "Nová kategorie"
+
+msgid "Upload cancelled"
+msgstr "Upload ukončen"
+
+msgid "Image upload progress information"
+msgstr "Image upload progress information"
+
+msgid "Cancel upload"
+msgstr "Ukončit upload"
+
+msgid "Piwigo upload information"
+msgstr "Piwigo upload informace"
+
+msgid "Processing"
+msgstr "Pracuji"
+
+msgid "images processed"
+msgstr "Fotky zpracovávány"
+
+msgid "images uploaded"
+msgstr "Fotky odeslány"
+
+msgid "images in errors and not uploaded"
+msgstr "Došlo k chybě a fotky nebyly odeslány"
+
+msgid "Duration"
+msgstr "Průběh"
+
+msgid "Categories"
+msgstr "Kategorie"
+
+msgid "categories"
+msgstr "kategorie"
+
+msgid "Categorie"
+msgstr "Kategorie"
+
+msgid "categorie"
+msgstr "Kategorie"
+
+msgid "Album"
+msgstr "Album"
+
+msgid "Albums"
+msgstr "Alba"
+
+msgid "album"
+msgstr "Album"
+
+msgid "albums"
+msgstr "Alba"
+
+msgid "Photo caption :"
+msgstr "Photo caption :"
+
+msgid "File name :"
+msgstr "File name :"
+
+msgid "Default photo caption :"
+msgstr "Default photo caption :"
+
+msgid "Resize site image :"
+msgstr "Změnit velikost foto pro web :"
+
+msgid "Auto rotate :"
+msgstr "Autom.rotace :"
+
+msgid "Upload high (original size) :"
+msgstr "Upload vysoké rozlišení (original size) :"
+
+msgid "Site image jpeg quality :"
+msgstr "JPEG-kvalita :"
+
+msgid "Site image filter :"
+msgstr "Použíj filtr :"
+
+msgid "Site image blur :"
+msgstr "Site image blur :"
+
+msgid "Site image interlace :"
+msgstr "Site image interlace :"
+
+msgid "Site thumbnail jpeg quality :"
+msgstr "JPEG kvalita náhledu :"
+
+msgid "Photo selection thumbnail size :"
+msgstr "Photo selection thumbnail size :"
+
+msgid "Photo selection thumbnail jpeg quality :"
+msgstr "Photo selection thumbnail jpeg quality :"
+
+msgid "Use exif preview when available :"
+msgstr "Použít EXIF-ukázku pokud je :"
+
+msgid "Custom preview ratio :"
+msgstr "Obecná hodnota pro preview :"
+
+msgid "Piwigo url"
+msgstr "Piwigo url"
+
+msgid "Connect"
+msgstr "Připojit"
+
+msgid "Work Offline"
+msgstr "Pracovat offline"
+
+msgid "Exit"
+msgstr "Ukončit"
+
+msgid "empty - work Offline"
+msgstr "prázdné - práce Offline"
+
+msgid "None"
+msgstr "Nic"
+
+msgid "File name"
+msgstr "Název souboru"
+
+msgid "File path and name"
+msgstr "Soubor cesta a název"
+
+msgid "Prefix"
+msgstr "Prefix"
+
+msgid "Prefix + rank number"
+msgstr "Prefix + rank number"
+
+msgid "Rank number + prefix"
+msgstr "Rank number + prefix"
+
+msgid "Prefix + create date chrono"
+msgstr "Prefix + create date chrono"
+
+msgid "Create date chrono + prefix"
+msgstr "Create date chrono + prefix"
+
+msgid "Photo"
+msgstr "Foto"
+
+msgid "Image processing progress information"
+msgstr "Image processing progress information"
+
+msgid "Cancel image processing"
+msgstr "Cancel image processing"
+
+msgid "Add new album"
+msgstr "Přidat nové album"
+
+msgid "Album name :"
+msgstr "Nom de l'album :"
+
+msgid "New album"
+msgstr "Nouvel album"
+
+msgid "Refresh"
+msgstr "Obnovit"
+
+msgid "Expand all"
+msgstr "Rozbal vše"
+
+msgid "Collapse all"
+msgstr "Sbalit vše"
+
+msgid "Getting started"
+msgstr "Start"
+
+msgid "Properties"
+msgstr "Nastavení"
+
+msgid "Remove uploaded photo from selection :"
+msgstr "Odebrat odeslané fotky z výběru :"
+
+msgid "Activate watermark :"
+msgstr "Aktivuj vodotisk :"
+
+msgid "Activate watermark on high definition :"
+msgstr "Aktivuj vodotisk pro vysoké rozlišení :"
+
+msgid "Text :"
+msgstr "Text :"
+
+msgid "Text size :"
+msgstr "Velikost textu :"
+
+msgid "Color :"
+msgstr "Barva :"
+
+msgid "Position :"
+msgstr "Pozice :"
+
+msgid "Top margin :"
+msgstr "Horní okraj :"
+
+msgid "Left margin :"
+msgstr "Levý okraj :"
+
+msgid "White"
+msgstr "Bílá"
+
+msgid "Black"
+msgstr "Černá"
+
+msgid "Top"
+msgstr "Horní"
+
+msgid "Top left"
+msgstr "Horní vlevo"
+
+msgid "Top right"
+msgstr "Horní vpravo"
+
+msgid "Bottom"
+msgstr "Dole"
+
+msgid "Bottom left"
+msgstr "Dole vlevo"
+
+msgid "Bottom right"
+msgstr "Dole vpravo"
+
+msgid "Center"
+msgstr "Uprostřed"
+
+msgid "Left"
+msgstr "Nalevo"
+
+msgid "Right"
+msgstr "Napravo"
+
+msgid "my watermark"
+msgstr "můj vodotisk"
+
+msgid "Show"
+msgstr "Ukaž"
+
+msgid "All"
+msgstr "Vše"
+
+msgid "Selected"
+msgstr "Vybráno"
+
+msgid "Not selected"
+msgstr "Nevybráno"
+
Index: /extensions/pLoader/trunk/locale/fr_FR/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/fr_FR/pLoader.po	(revision 4614)
+++ /extensions/pLoader/trunk/locale/fr_FR/pLoader.po	(revision 4615)
@@ -616,2 +616,7 @@
 msgid "Do you want to create"
 msgstr "Voulez vous créer"
+
+msgid "Transfer"
+msgstr "Transfert"
+
+