Index: /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po	(revision 4621)
+++ /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po	(revision 4622)
@@ -20,21 +20,21 @@
 msgstr "JPEG soubory"
 
-msgid "Default author :"
-msgstr "Přednastavený autor :"
-
-msgid "Foto prefix :"
-msgstr "Foto prefix :"
-
-msgid "Site thumbnail size :"
-msgstr "Web velikost náhledu :"
-
-msgid "Site image width :"
-msgstr "Web obr.šířka :"
-
-msgid "Site image height :"
-msgstr "Web obr.výška :"
-
-msgid "Auto rotate image :"
-msgstr "Auto rotace fotek :"
+msgid "Default author"
+msgstr "Přednastavený autor"
+
+msgid "Foto prefix"
+msgstr "Foto prefix"
+
+msgid "Site thumbnail size"
+msgstr "Web velikost náhledu"
+
+msgid "Site image width"
+msgstr "Web obr.šířka"
+
+msgid "Site image height"
+msgstr "Web obr.výška"
+
+msgid "Auto rotate image"
+msgstr "Auto rotace fotek"
 
 msgid "Upload high (original size) "
@@ -47,9 +47,9 @@
 msgstr "Ne"
 
-msgid "Admin. username :"
-msgstr "Admin. jméno :"
-
-msgid "Admin. password :"
-msgstr "Admin. heslo :"
+msgid "Admin. username"
+msgstr "Admin. jméno"
+
+msgid "Admin. password"
+msgstr "Admin. heslo"
 
 msgid "OK"
@@ -59,36 +59,36 @@
 msgstr "Zrušit"
 
-msgid "Create date :"
-msgstr "Vytvořeno dne :"
-
-msgid "Width :"
-msgstr "Šířka :"
-
-msgid "Height :"
-msgstr "Výška :"
-
-msgid "Orientation :"
-msgstr "Orientace :"
-
-msgid "Shutter speed :"
-msgstr "Shutter speed :"
-
-msgid "Aperture :"
-msgstr "Aperture :"
-
-msgid "Focal length :"
-msgstr "Focal length :"
-
-msgid "Model :"
-msgstr "Model :"
-
-msgid "Lens :"
-msgstr "Objektiv :"
-
-msgid "Author :"
-msgstr "Autor :"
-
-msgid "Comment :"
-msgstr "Komentář :"
+msgid "Create date"
+msgstr "Vytvořeno dne"
+
+msgid "Width"
+msgstr "Šířka"
+
+msgid "Height"
+msgstr "Výška"
+
+msgid "Orientation"
+msgstr "Orientace"
+
+msgid "Shutter speed"
+msgstr "Shutter speed"
+
+msgid "Aperture"
+msgstr "Aperture"
+
+msgid "Focal length"
+msgstr "Focal length"
+
+msgid "Model"
+msgstr "Model"
+
+msgid "Lens"
+msgstr "Objektiv"
+
+msgid "Author"
+msgstr "Autor"
+
+msgid "Comment"
+msgstr "Komentář"
 
 msgid "Chinese"
@@ -164,6 +164,6 @@
 msgstr "Pokročilé"
 
-msgid "Transfert chunk size :"
-msgstr "Transfert chunk size :"
+msgid "Transfert chunk size"
+msgstr "Transfert chunk size"
 
 msgid "General"
@@ -218,6 +218,6 @@
 msgstr "Piwigo Upload chyba"
 
-msgid "Category name :"
-msgstr "Název kategorie :"
+msgid "Category name"
+msgstr "Název kategorie"
 
 msgid "Add new category"
@@ -278,48 +278,45 @@
 msgstr "Alba"
 
-msgid "Photo caption :"
-msgstr "Photo caption :"
-
-msgid "File name :"
-msgstr "File name :"
-
-msgid "Default photo caption :"
-msgstr "Default photo caption :"
-
-msgid "Resize site image :"
-msgstr "Změnit velikost foto pro web :"
-
-msgid "Auto rotate :"
-msgstr "Autom.rotace :"
-
-msgid "Upload high (original size) :"
-msgstr "Upload vysoké rozlišení (original size) :"
-
-msgid "Site image jpeg quality :"
-msgstr "JPEG-kvalita :"
-
-msgid "Site image filter :"
-msgstr "Použíj filtr :"
-
-msgid "Site image blur :"
-msgstr "Site image blur :"
-
-msgid "Site image interlace :"
-msgstr "Site image interlace :"
-
-msgid "Site thumbnail jpeg quality :"
-msgstr "JPEG kvalita náhledu :"
-
-msgid "Photo selection thumbnail size :"
-msgstr "Photo selection thumbnail size :"
-
-msgid "Photo selection thumbnail jpeg quality :"
-msgstr "Photo selection thumbnail jpeg quality :"
-
-msgid "Use exif preview when available :"
-msgstr "Použít EXIF-ukázku pokud je :"
-
-msgid "Custom preview ratio :"
-msgstr "Obecná hodnota pro preview :"
+msgid "Photo caption"
+msgstr "Photo caption"
+
+msgid "Default photo caption"
+msgstr "Default photo caption"
+
+msgid "Resize site image"
+msgstr "Změnit velikost foto pro web"
+
+msgid "Auto rotate"
+msgstr "Autom.rotace"
+
+msgid "Upload high (original size)"
+msgstr "Upload vysoké rozlišení (original size)"
+
+msgid "Site image jpeg quality"
+msgstr "JPEG-kvalita"
+
+msgid "Site image filter"
+msgstr "Použíj filtr"
+
+msgid "Site image blur"
+msgstr "Site image blur"
+
+msgid "Site image interlace"
+msgstr "Site image interlace"
+
+msgid "Site thumbnail jpeg quality"
+msgstr "JPEG kvalita náhledu"
+
+msgid "Photo selection thumbnail size"
+msgstr "Photo selection thumbnail size"
+
+msgid "Photo selection thumbnail jpeg quality"
+msgstr "Photo selection thumbnail jpeg quality"
+
+msgid "Use exif preview when available"
+msgstr "Použít EXIF-ukázku pokud je"
+
+msgid "Custom preview ratio"
+msgstr "Obecná hodnota pro preview"
 
 msgid "Piwigo url"
@@ -374,6 +371,6 @@
 msgstr "Přidat nové album"
 
-msgid "Album name :"
-msgstr "Nom de l'album :"
+msgid "Album name"
+msgstr "Nom de l'album"
 
 msgid "New album"
@@ -395,30 +392,30 @@
 msgstr "Nastavení"
 
-msgid "Remove uploaded photo from selection :"
-msgstr "Odebrat odeslané fotky z výběru :"
-
-msgid "Activate watermark :"
-msgstr "Aktivuj vodotisk :"
-
-msgid "Activate watermark on high definition :"
-msgstr "Aktivuj vodotisk pro vysoké rozlišení :"
-
-msgid "Text :"
-msgstr "Text :"
-
-msgid "Text size :"
-msgstr "Velikost textu :"
-
-msgid "Color :"
-msgstr "Barva :"
-
-msgid "Position :"
-msgstr "Pozice :"
-
-msgid "Top margin :"
-msgstr "Horní okraj :"
-
-msgid "Left margin :"
-msgstr "Levý okraj :"
+msgid "Remove uploaded photo from selection"
+msgstr "Odebrat odeslané fotky z výběru"
+
+msgid "Activate watermark"
+msgstr "Aktivuj vodotisk"
+
+msgid "Activate watermark on high definition"
+msgstr "Aktivuj vodotisk pro vysoké rozlišení"
+
+msgid "Text"
+msgstr "Text"
+
+msgid "Text size"
+msgstr "Velikost textu"
+
+msgid "Color"
+msgstr "Barva"
+
+msgid "Position"
+msgstr "Pozice"
+
+msgid "Top margin"
+msgstr "Horní okraj"
+
+msgid "Left margin"
+msgstr "Levý okraj"
 
 msgid "White"
@@ -470,2 +467,145 @@
 msgstr "Nevybráno"
 
+msgid "Uploading"
+msgstr "Uploading"
+
+msgid "Uploading resized"
+msgstr "Uploading resized"
+
+msgid "Uploading thumbnail"
+msgstr "Uploading thumbnail"
+
+msgid "Uploading high definition"
+msgstr "Uploading high definition"
+
+msgid "Checksum for"
+msgstr "Checksum for"
+
+msgid "Communication error with"
+msgstr "Communication error with"
+
+msgid "Thumbnail image done for"
+msgstr "Thumbnail image done for"
+
+msgid "HD image done for"
+msgstr "HD image done for"
+
+msgid "Resized image done for"
+msgstr "Resized image done for"
+
+msgid "Uploaded"
+msgstr "Uploaded"
+
+msgid "Preparing resized image for"
+msgstr "Preparing resized image for"
+
+msgid "Close"
+msgstr "Close"
+
+msgid "on"
+msgstr "on"
+
+msgid "photos added to the selection"
+msgstr "photos added to the selection"
+
+msgid "errors"
+msgstr "errors"
+
+msgid "Yes, use HD resized of the original photo"
+msgstr "Yes, use HD resized of the original photo"
+
+msgid "Yes, use a copy of the original photo"
+msgstr "Yes, use a copy of the original photo"
+
+msgid "HD image width"
+msgstr "HD image width"
+
+msgid "HD image height"
+msgstr "HD image height"
+
+msgid "HD image jpeg quality"
+msgstr "HD image jpeg quality"
+
+msgid "HD image filter"
+msgstr "HD image filter"
+
+msgid "HD image blur"
+msgstr "HD image blur"
+
+msgid "HD image interlace"
+msgstr "HD image interlace"
+
+msgid "nothing"
+msgstr "nothing"
+
+msgid "replace"
+msgstr "replace"
+
+msgid "fill if empty (only replace properties currently empty in Piwigo)"
+msgstr "fill if empty (only replace properties currently empty in Piwigo)"
+
+msgid "append (keep existing and add new)"
+msgstr "append (keep existing and add new)"
+
+msgid "Do not ask me again"
+msgstr "Do not ask me again"
+
+msgid "A least one photo has already been added in the past."
+msgstr "A least one photo has already been added in the past."
+
+msgid "What shall we do with files? (thumbnail, resized, high resolution)"
+msgstr "What shall we do with files? (thumbnail, resized, high resolution)"
+
+msgid "What shall we do with single value properties?(caption, comment, author, create date)"
+msgstr "What shall we do with single value properties?(caption, comment, author, create date)"
+
+msgid "What shall we do with multiple values properties? (categories, tags)"
+msgstr "What shall we do with multiple values properties? (categories, tags)"
+
+msgid "Photo update management"
+msgstr "Photo update management"
+
+msgid "Who can see the photo?"
+msgstr "Who can see the photo?"
+
+msgid "everybody"
+msgstr "everybody"
+
+msgid "contacts"
+msgstr "contacts"
+
+msgid "friends"
+msgstr "friends"
+
+msgid "family"
+msgstr "family"
+
+msgid "admins"
+msgstr "admins"
+
+msgid "What shall we do with privacy level?"
+msgstr "What shall we do with privacy level?"
+
+msgid "Thumbnail and caption"
+msgstr "Thumbnail and caption"
+
+msgid "Property list"
+msgstr "Property list"
+
+msgid "How photo selection is displayed"
+msgstr "How photo selection is displayed"
+
+msgid "Use original"
+msgstr "Use original"
+
+msgid "Use resized original"
+msgstr "Use resized original"
+
+msgid "Web sized"
+msgstr "Web sized"
+
+msgid "Do you want to create"
+msgstr "Do you want to create"
+
+msgid "Transfer"
+msgstr "Transfer"