Index: extensions/piwishack/doc/Quoi de neuf.txt
===================================================================
--- extensions/piwishack/doc/Quoi de neuf.txt	(revision 4536)
+++ extensions/piwishack/doc/Quoi de neuf.txt	(revision 4635)
@@ -19,22 +19,22 @@
 
 v0.1 Disponible le 23-11-2009
+    [Bugtracker, bug 1261, fixed] Add description.txt
+    [Bugtracker, bug 1262, fixed] Add multi-language
+    [Bugtracker, bug 1263, fixed] Language not ok
+    [Bugtracker, bug 1264, fixed] Conflit with other plugin
+    [Bugtracker, bug 1265, fixed] Verify comportement in a lot of picture
+    [Bugtracker, bug 1266, fixed] Header and LLBGO
+    [Bugtracker, bug 1267, fixed] Change icons set
+    [Bugtracker, bug 1268, open] Count of visit which increments.
+    [Bugtracker, bug 1269, fixed] Verrify compatibility with HotBlocker plugin
+    [Bugtracker, bug 1270, fixed] Formating documents in UNIX format
     [Bugtracker, bug 1271, open] Add an administrator panel
-    [Bugtracker, bug 1268, open] Count of visit which increments.
-    [Bugtracker, bug 1265, fixed] Verify comportement in a lot of picture
-    [Bugtracker, bug 1269, fixed] Verrify compatibility with HotBlocker plugin
-    [Bugtracker, bug 1266, fixed] Header and LLBGO
-    [Bugtracker, bug 1281, fixed] Title of page need more visibility
-    [Bugtracker, bug 1280, fixed] Language error on FR
     [Bugtracker, bug 1272, fixed] Error in category page
-    [Bugtracker, bug 1279, fixed] Convert in UTF-8 without BOM
     [Bugtracker, bug 1274, fixed] HTML 4.0
     [Bugtracker, bug 1275, fixed] A good formatage
     [Bugtracker, bug 1276, fixed] Ascensors
-    [Bugtracker, bug 1264, fixed] Conflit with other plugin
-    [Bugtracker, bug 1261, fixed] Add description.txt
-    [Bugtracker, bug 1267, fixed] Change icons set
-    [Bugtracker, bug 1263, fixed] Language not ok
-    [Bugtracker, bug 1270, fixed] Formating documents in UNIX format
-    [Bugtracker, bug 1262, fixed] Add multi-language
+    [Bugtracker, bug 1279, fixed] Convert in UTF-8 without BOM
+    [Bugtracker, bug 1280, fixed] Language error on FR
+    [Bugtracker, bug 1281, fixed] Title of page need more visibility
 
 v0.2 Disponible le 28-11-2009
@@ -43,3 +43,4 @@
 
 v0.3 Disponible le Coming soon
-	[Bugtracker, bug 1341, fixed] Add a balise for personnel area One (Wordpress) 
+	[Bugtracker, bug 1341, fixed] Add a balise for personnel area One (Wordpress)
+	[Bugtracker, bug 1371, fixed] Wrong parameters for item 1	
Index: extensions/piwishack/doc/What's new.txt
===================================================================
--- extensions/piwishack/doc/What's new.txt	(revision 4536)
+++ extensions/piwishack/doc/What's new.txt	(revision 4635)
@@ -19,22 +19,22 @@
 
 v0.1 Disponible le 23-11-2009
+    [Bugtracker, bug 1261, fixed] Add description.txt
+    [Bugtracker, bug 1262, fixed] Add multi-language
+    [Bugtracker, bug 1263, fixed] Language not ok
+    [Bugtracker, bug 1264, fixed] Conflit with other plugin
+    [Bugtracker, bug 1265, fixed] Verify comportement in a lot of picture
+    [Bugtracker, bug 1266, fixed] Header and LLBGO
+    [Bugtracker, bug 1267, fixed] Change icons set
+    [Bugtracker, bug 1268, open] Count of visit which increments.
+    [Bugtracker, bug 1269, fixed] Verrify compatibility with HotBlocker plugin
+    [Bugtracker, bug 1270, fixed] Formating documents in UNIX format
     [Bugtracker, bug 1271, open] Add an administrator panel
-    [Bugtracker, bug 1268, open] Count of visit which increments.
-    [Bugtracker, bug 1265, fixed] Verify comportement in a lot of picture
-    [Bugtracker, bug 1269, fixed] Verrify compatibility with HotBlocker plugin
-    [Bugtracker, bug 1266, fixed] Header and LLBGO
-    [Bugtracker, bug 1281, fixed] Title of page need more visibility
-    [Bugtracker, bug 1280, fixed] Language error on FR
     [Bugtracker, bug 1272, fixed] Error in category page
-    [Bugtracker, bug 1279, fixed] Convert in UTF-8 without BOM
     [Bugtracker, bug 1274, fixed] HTML 4.0
     [Bugtracker, bug 1275, fixed] A good formatage
     [Bugtracker, bug 1276, fixed] Ascensors
-    [Bugtracker, bug 1264, fixed] Conflit with other plugin
-    [Bugtracker, bug 1261, fixed] Add description.txt
-    [Bugtracker, bug 1267, fixed] Change icons set
-    [Bugtracker, bug 1263, fixed] Language not ok
-    [Bugtracker, bug 1270, fixed] Formating documents in UNIX format
-    [Bugtracker, bug 1262, fixed] Add multi-language
+    [Bugtracker, bug 1279, fixed] Convert in UTF-8 without BOM
+    [Bugtracker, bug 1280, fixed] Language error on FR
+    [Bugtracker, bug 1281, fixed] Title of page need more visibility
 
 v0.2 Disponible le 28-11-2009
@@ -43,3 +43,4 @@
 
 v0.3 Disponible le Coming soon
-	[Bugtracker, bug 1341, fixed] Add a balise for personnel area One (Wordpress) 
+	[Bugtracker, bug 1341, fixed] Add a balise for personnel area One (Wordpress)
+	[Bugtracker, bug 1371, fixed] Wrong parameters for item 1		
Index: extensions/piwishack/include/class.inc.php
===================================================================
--- extensions/piwishack/include/class.inc.php	(revision 4536)
+++ extensions/piwishack/include/class.inc.php	(revision 4635)
@@ -427,5 +427,5 @@
               'image_file' => $row['file'],
               )).
-		  ' target=\"_blank\"><img class=\"aligncenter\" style=\"width: 100%; height: 100%;\" src=\"'. // Arguments à transmettre
+		  '\" target=\"_blank\"><img class=\"aligncenter\" style=\"width: 100%; height: 100%;\" src=\"'. // Arguments à transmettre
 		  get_absolute_root_url().str_replace('./', '', get_image_url($row)). // Liens direct vers la vue normale
 		  '\" alt=\"'. // Arguments à transmettre