Index: /branches/2.0/language/cz_CZ/admin.lang.php
===================================================================
--- /branches/2.0/language/cz_CZ/admin.lang.php	(revision 4635)
+++ /branches/2.0/language/cz_CZ/admin.lang.php	(revision 4636)
@@ -649,9 +649,3 @@
 
 // --------- Starting below: New or revised $lang ---- from Colibri
-/*TODO*/$lang['Piwigo Announcements Newsletter'] = 'Piwigo Announcements Newsletter';
-/*TODO*/$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.';
-/*TODO*/$lang['Subscribe %s'] = 'Subscribe %s';
-/*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
-/*TODO*/$lang['Purge search history'] = 'Purge search history';
-/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/cz_CZ/common.lang.php
===================================================================
--- /branches/2.0/language/cz_CZ/common.lang.php	(revision 4635)
+++ /branches/2.0/language/cz_CZ/common.lang.php	(revision 4636)
@@ -366,8 +366,5 @@
 $lang['show tag cloud'] = 'zobrazit klíčová slova v bublině';
 $lang['cloud'] = 'bublina';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
-/* TODO */ $lang['del_all_favorites_hint'] = 'delete all images from your favorites';
-/* TODO */ $lang['Sent by'] = 'Sent by';
 
 //old
Index: /branches/2.0/language/da_DK/common.lang.php
===================================================================
--- /branches/2.0/language/da_DK/common.lang.php	(revision 4635)
+++ /branches/2.0/language/da_DK/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = 'vis tag cloud';
 $lang['cloud'] = 'cloud';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/de_DE/common.lang.php
===================================================================
--- /branches/2.0/language/de_DE/common.lang.php	(revision 4635)
+++ /branches/2.0/language/de_DE/common.lang.php	(revision 4636)
@@ -368,5 +368,3 @@
 $lang['Reset_To_Default'] = 'Zurücksetzen auf Standardwerte';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
-/* TODO */ $lang['del_all_favorites_hint'] = 'delete all images from your favorites';
-/* TODO */ $lang['Sent by'] = 'Sent by';
 ?>
Index: /branches/2.0/language/es_AR/common.lang.php
===================================================================
--- /branches/2.0/language/es_AR/common.lang.php	(revision 4635)
+++ /branches/2.0/language/es_AR/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = 'mostrar la nube de tags';
 $lang['cloud'] = 'nube';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/es_ES/common.lang.php
===================================================================
--- /branches/2.0/language/es_ES/common.lang.php	(revision 4635)
+++ /branches/2.0/language/es_ES/common.lang.php	(revision 4636)
@@ -369,4 +369,3 @@
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
 $lang['del_all_favorites_hint'] = 'Suprimir todas las imágenes de sus favoritos';
-/* TODO */ $lang['Sent by'] = 'Sent by';
 ?>
Index: /branches/2.0/language/es_ES/upgrade.lang.php
===================================================================
--- /branches/2.0/language/es_ES/upgrade.lang.php	(revision 4635)
+++ /branches/2.0/language/es_ES/upgrade.lang.php	(revision 4636)
@@ -35,5 +35,4 @@
 $lang['upgrade login message'] = 'Sólo un administrador puede lanzar la puesta al día: por favor, identifiqúese más abajo.';
 $lang['You do not have access rights to run upgrade'] = 'Usted no tiene los derechos necessaires para lanzar la puesta al día.';
-/* TODO */$lang['in include/mysql.inc.php, before ?>, insert:'] = 'In <i>include/mysql.inc.php</i>, before <b>?></b>, insert:';
 
 // Upgrade informations from upgrade_1.3.1.php
Index: /branches/2.0/language/hr_HR/common.lang.php
===================================================================
--- /branches/2.0/language/hr_HR/common.lang.php	(revision 4635)
+++ /branches/2.0/language/hr_HR/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = 'prikaži tag oblak';
 $lang['cloud'] = 'oblak';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/ja_JP/admin.lang.php
===================================================================
--- /branches/2.0/language/ja_JP/admin.lang.php	(revision 4635)
+++ /branches/2.0/language/ja_JP/admin.lang.php	(revision 4636)
@@ -646,9 +646,3 @@
 $lang['%d photos were deleted'] = '%d 写真が削除されました。';
 // --------- Starting below: New or revised $lang ---- from Colibri
-/*TODO*/$lang['Piwigo Announcements Newsletter'] = 'Piwigo Announcements Newsletter';
-/*TODO*/$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.';
-/*TODO*/$lang['Subscribe %s'] = 'Subscribe %s';
-/*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
-/*TODO*/$lang['Purge search history'] = 'Purge search history';
-/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/ja_JP/common.lang.php
===================================================================
--- /branches/2.0/language/ja_JP/common.lang.php	(revision 4635)
+++ /branches/2.0/language/ja_JP/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = 'タグクラウドを表示する';
 $lang['cloud'] = 'クラウド';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/nl_NL/admin.lang.php
===================================================================
--- /branches/2.0/language/nl_NL/admin.lang.php	(revision 4635)
+++ /branches/2.0/language/nl_NL/admin.lang.php	(revision 4636)
@@ -560,5 +560,4 @@
 $lang['c13y_submit_refresh'] = 'Ververs';
 $lang['c13y_ignore_msg1'] = 'De anomalie worden genegeerd totdat de volgende versie';
-/* TODO */ $lang['c13y_ignore_msg2'] = 'Correction the anomaly will cancel the fact that it\'s ignored';
 $lang['c13y_anomaly_ignored_count'] = '%d anomalie is genegeerd.';
 $lang['c13y_anomalies_ignored_count'] = '%d anomalieen zijn genegeerd.';
@@ -630,10 +629,4 @@
 $lang['nothing'] = 'niets';
 $lang['overrides existing values with empty ones'] = 'overschrijft de bestaande waarden met lege waardes';
-/*TODO*/$lang['manage image ranks'] = 'manage image ranks';
-/*TODO*/$lang['Manage image ranks'] = 'Manage image ranks';
-/*TODO*/$lang['Edit ranks'] = 'Edit ranks';
-/*TODO*/$lang['No element in this category'] = 'No element in this category';
-/*TODO*/$lang['Images manual order was saved'] = 'Images manual order was saved';
-/*TODO*/$lang['ranks'] = 'ranks';
 $lang['Drag to re-order'] = 'sleep om te herschikken';
 $lang['Unable to retrieve server informations since allow_url_fopen is disabled.'] = 'Kan geen server verkrijgen omdat allow_url_fopen is uitgeschakeld.';
@@ -649,9 +642,3 @@
 $lang['Number of downloads'] = 'Aantal downloads';
 // --------- Starting below: New or revised $lang ---- from Colibri
-/*TODO*/$lang['Piwigo Announcements Newsletter'] = 'Piwigo Announcements Newsletter';
-/*TODO*/$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.';
-/*TODO*/$lang['Subscribe %s'] = 'Subscribe %s';
-/*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
-/*TODO*/$lang['Purge search history'] = 'Purge search history';
-/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/nl_NL/common.lang.php
===================================================================
--- /branches/2.0/language/nl_NL/common.lang.php	(revision 4635)
+++ /branches/2.0/language/nl_NL/common.lang.php	(revision 4636)
@@ -362,4 +362,3 @@
 $lang['Piwigo Help'] = 'Piwigo Help';
 // --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/nl_NL/install.lang.php
===================================================================
--- /branches/2.0/language/nl_NL/install.lang.php	(revision 4635)
+++ /branches/2.0/language/nl_NL/install.lang.php	(revision 4636)
@@ -65,12 +65,3 @@
 $lang['conf_mail_webmaster_info'] = 'Het is mogelijk dat bezoekers contact opnemen met de beheerder middels e-mail';
 
-/* TODO */$lang['PHP 5 is required'] = 'PHP 5 is required';
-/* TODO */$lang['It appears your webhost is currently running PHP %s.'] = 'It appears your webhost is currently running PHP %s.';
-/* TODO */$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.';
-/* TODO */$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Note you can change your configuration by yourself and restart Piwigo after that.';
-/* TODO */$lang['Try to configure PHP 5'] = 'Try to configure PHP 5';
-/* TODO */$lang['Sorry!'] = 'Sorry!';
-/* TODO */$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo was not able to configure PHP 5.';
-/* TODO */$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself.";
-/* TODO */$lang['Hope to see you back soon.'] = 'Hope to see you back soon.';
 ?>
Index: /branches/2.0/language/pl_PL/common.lang.php
===================================================================
--- /branches/2.0/language/pl_PL/common.lang.php	(revision 4635)
+++ /branches/2.0/language/pl_PL/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = 'pokazuj tag jako chmurkę';
 $lang['cloud'] = 'chmurka';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/pt_BR/common.lang.php
===================================================================
--- /branches/2.0/language/pt_BR/common.lang.php	(revision 4635)
+++ /branches/2.0/language/pt_BR/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = 'mostar a nuvem de tags';
 $lang['cloud'] = 'nuvem';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/pt_PT/common.lang.php
===================================================================
--- /branches/2.0/language/pt_PT/common.lang.php	(revision 4635)
+++ /branches/2.0/language/pt_PT/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = 'mostar a nuvem de tags';
 $lang['cloud'] = 'nuvem';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/ru_RU/admin.lang.php
===================================================================
--- /branches/2.0/language/ru_RU/admin.lang.php	(revision 4635)
+++ /branches/2.0/language/ru_RU/admin.lang.php	(revision 4636)
@@ -644,14 +644,4 @@
 $lang['%d photo was deleted'] = '%d фото удалено';
 $lang['%d photos were deleted'] = '%d фото удалено';
-/* TODO */ $lang['Bound template'] = 'Bound template';
-/* TODO */ $lang['Downloads'] = 'Downloads';
-/* TODO */ $lang['Released on'] = 'Released on';
-/* TODO */ $lang['Number of downloads'] = 'Number of downloads';
 // --------- Starting below: New or revised $lang ---- from Colibri
-/*TODO*/$lang['Piwigo Announcements Newsletter'] = 'Piwigo Announcements Newsletter';
-/*TODO*/$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.';
-/*TODO*/$lang['Subscribe %s'] = 'Subscribe %s';
-/*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
-/*TODO*/$lang['Purge search history'] = 'Purge search history';
-/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/ru_RU/common.lang.php
===================================================================
--- /branches/2.0/language/ru_RU/common.lang.php	(revision 4635)
+++ /branches/2.0/language/ru_RU/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = 'показать облако слов';
 $lang['cloud'] = 'облако';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/zh_CN/common.lang.php
===================================================================
--- /branches/2.0/language/zh_CN/common.lang.php	(revision 4635)
+++ /branches/2.0/language/zh_CN/common.lang.php	(revision 4636)
@@ -366,4 +366,3 @@
 $lang['show tag cloud'] = '显示标签云';
 $lang['cloud'] = '云';
-/* TODO */ $lang['Reset_To_Default'] = 'Reset to default values';
 ?>